#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x87742f9d, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x6a7e38ef, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x86896048, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xb9a1f85a, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xddd8185e, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xcf3fbefb, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xced63ebe, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x230378f1, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xe26a7a27, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xbca0be19, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x9b10df49, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xabf77cf6, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xd2d76400, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x81db342a, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x2b2f81aa, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x8e094239, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xc3cd0878, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xa65e4a0c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x9f0ad330, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x6c7bf23a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xb73ce2eb, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x9ae9be0e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xdbf820de, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xad19154d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x8e72b791, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xe9e64f4e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xd2f777eb, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x96c291f4, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xbd6500a7, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x0a57fd76, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x7b64a003, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0x655cfc7e, "kthread_queue_work" },
	{ 0x353317f2, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x267da76, "kthread_create_worker" },
	{ 0x1f66f984, "_dev_info" },
	{ 0xb05a0355, "sched_set_fifo" },
	{ 0xc248289d, "kthread_destroy_worker" },
	{ 0x89045242, "crypto_register_aead" },
	{ 0xccb72cc6, "crypto_unregister_aead" },
	{ 0x47f2bb26, "crypto_register_ahash" },
	{ 0x3844c0cf, "crypto_unregister_ahash" },
	{ 0x2f2d59d9, "crypto_register_akcipher" },
	{ 0x53ed2442, "crypto_unregister_akcipher" },
	{ 0x96114d73, "crypto_register_kpp" },
	{ 0x69d17b83, "crypto_unregister_kpp" },
	{ 0xbe6a1fc7, "crypto_register_skcipher" },
	{ 0x30afef37, "crypto_unregister_skcipher" },
	{ 0x2c619aa, "crypto_enqueue_request" },
	{ 0xd9eda21c, "crypto_dequeue_request" },
	{ 0xb0b4ef08, "crypto_enqueue_request_head" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.6");
