#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");
KSYMTAB_FUNC(acpi_video_set_dmi_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0xaf80caec, "");
SYMBOL_CRC(acpi_video_get_edid, 0xd8b5f423, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x03bbeac2, "");
SYMBOL_CRC(acpi_video_set_dmi_backlight_type, 0x476a28dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8b1d6ce, "input_allocate_device" },
	{ 0x9a84c19b, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xa742ec6f, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0xa6237d3c, "backlight_force_update" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb543c995, "pci_dev_put" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x750e9b0a, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x64d561b4, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e3d2bfb, "acpi_device_fix_up_power_children" },
	{ 0xda66f6e5, "acpi_dev_remove_notify_handler" },
	{ 0xc8c0f9c5, "thermal_cooling_device_register" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0x123ea8b9, "__acpi_bus_register_driver" },
	{ 0xd57be349, "pci_read_config_dword" },
	{ 0x3f9920e8, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xf13f7a1c, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1f66f984, "_dev_info" },
	{ 0x9a7d322a, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xdaee1f41, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x353317f2, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x8618429e, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xf4ab22d8, "acpi_get_pci_dev" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0xf35085b5, "input_event" },
	{ 0x49fe86a6, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xba416ec0, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc16d5652, "acpi_fetch_acpi_dev" },
	{ 0xc96f6d79, "param_ops_bool" },
	{ 0x643d061a, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xab30d23c, "backlight_device_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x29e50a9f, "acpi_dev_for_each_child" },
	{ 0xc3c3bb1, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x6cb8a462, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "DBDCF64D4535D3E711032B8");
MODULE_INFO(rhelversion, "9.6");
