#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x92ce06bd, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x9fedd7de, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x86985f94, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x2364f94a, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x10b210fb, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xfced6601, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xb7894382, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xbc4728af, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xe9b65cbe, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x5a7d1072, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x41772370, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xed10fc02, "_gpl");
SYMBOL_CRC(mhi_notify, 0x3cba8735, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xddf26e07, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x75bf19c7, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x1c1d4e86, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x24fc0fb9, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x8cb6a0f7, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x7bb85a05, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xaf72f4cf, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x69551b42, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x971aa949, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xd294000a, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x2ed9df08, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x3d7b37d6, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x3c6aacea, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xb909189f, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x758a0c17, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xc322d61a, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xa47b5177, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x3f512f8c, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x9a769414, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x5ca4cc7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28132ba1, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5f3159c2, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x158ff4b2, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb1c9047f, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1a2915c8, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8addd0dc, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0x203856b0, "dma_unmap_page_attrs" },
	{ 0x89fc1e50, "request_firmware" },
	{ 0x3108c433, "trace_event_printf" },
	{ 0xf868d9ec, "device_initialize" },
	{ 0x84067d58, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5f544a42, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad946aef, "bpf_trace_run2" },
	{ 0xd717f8a5, "prepare_to_wait_event" },
	{ 0xcb676cb, "__wake_up" },
	{ 0x6e27ba6e, "event_triggers_call" },
	{ 0xd93baea4, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x693c43b4, "dev_driver_string" },
	{ 0x2b26625b, "trace_event_buffer_commit" },
	{ 0xa559c26b, "dma_map_page_attrs" },
	{ 0x951acee3, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48a5cf30, "put_device" },
	{ 0x3bd93ad5, "trace_event_ignore_this_pid" },
	{ 0x28aa930b, "sysfs_remove_file_ns" },
	{ 0x8a5dacf7, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1f66f984, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc2e50066, "perf_trace_run_bpf_submit" },
	{ 0x8c8aa9a8, "bus_unregister" },
	{ 0x353317f2, "_dev_err" },
	{ 0x1a6d79fd, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe4c29a3a, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x6238976a, "dma_alloc_attrs" },
	{ 0x29142c07, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x25f51d80, "ida_free" },
	{ 0xd733ee6a, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd14fed22, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x14735ee, "bpf_trace_run3" },
	{ 0x85d73dc5, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf030e8a8, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x32ec5959, "trace_event_buffer_reserve" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xda97b3e5, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x516cd4f3, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x166fc9fb, "driver_register" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x97f09918, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5C0FBC95C3E35B2E08B2E04");
MODULE_INFO(rhelversion, "9.6");
