#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43b05e82, "crypto_alloc_ahash" },
	{ 0xbc0e15f5, "__host1x_client_init" },
	{ 0xad698548, "devm_platform_ioremap_resource" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0x518083f5, "platform_driver_unregister" },
	{ 0x50ada313, "host1x_job_pin" },
	{ 0xc3cd0878, "crypto_engine_unregister_aead" },
	{ 0xcc9e469, "crypto_shash_tfm_digest" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0xcd5439b3, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0xab6fa4f3, "host1x_syncpt_request" },
	{ 0xbca0be19, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xbe490ac1, "host1x_job_put" },
	{ 0x2b2f81aa, "crypto_engine_exit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd67bc03a, "host1x_job_unpin" },
	{ 0x73b5725c, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x96c291f4, "crypto_engine_register_skcipher" },
	{ 0x230378f1, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbd6500a7, "crypto_engine_unregister_skcipher" },
	{ 0xa47c1af1, "host1x_syncpt_put" },
	{ 0x86896048, "crypto_transfer_hash_request_to_engine" },
	{ 0x353317f2, "_dev_err" },
	{ 0x6d21d97d, "crypto_shash_setkey" },
	{ 0x237ec886, "host1x_job_submit" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x6238976a, "dma_alloc_attrs" },
	{ 0x9b10df49, "crypto_engine_start" },
	{ 0x8e094239, "crypto_engine_register_aead" },
	{ 0x651da566, "host1x_device_init" },
	{ 0xb73ce2eb, "crypto_engine_unregister_ahash" },
	{ 0xa7196a19, "__host1x_client_register" },
	{ 0x2dba922f, "crypto_ahash_finup" },
	{ 0xabf77cf6, "crypto_engine_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0xb70db7a3, "device_get_match_data" },
	{ 0x87742f9d, "crypto_transfer_aead_request_to_engine" },
	{ 0x6f689beb, "host1x_driver_unregister" },
	{ 0x28376f1a, "crypto_ahash_digest" },
	{ 0x330284e0, "host1x_syncpt_wait" },
	{ 0x91edd978, "host1x_syncpt_get" },
	{ 0x413bcf4e, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x1f09d854, "host1x_job_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3d87645c, "__platform_driver_register" },
	{ 0x675b1de0, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xd48caf4c, "host1x_client_unregister" },
	{ 0xcf3fbefb, "crypto_finalize_aead_request" },
	{ 0xf030e8a8, "dma_free_attrs" },
	{ 0xc62f2ea1, "dma_map_sgtable" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x1b9877c2, "host1x_channel_request" },
	{ 0x81db342a, "crypto_engine_alloc_init" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4a2102bd, "host1x_device_exit" },
	{ 0xddd8185e, "crypto_transfer_skcipher_request_to_engine" },
	{ 0x515524e8, "host1x_job_add_gather" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfd3a02de, "dma_set_mask" },
	{ 0xb48c80, "host1x_driver_register_full" },
	{ 0xf5b7e211, "dma_get_sgtable_attrs" },
	{ 0x6a87e0a7, "host1x_channel_put" },
	{ 0x2eb277ce, "dev_err_probe" },
	{ 0x915f07f8, "devm_clk_get_enabled" },
	{ 0x7c61eddc, "dma_unmap_sg_attrs" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x9a5f6e10, "crypto_alloc_shash" },
	{ 0x6c7bf23a, "crypto_engine_register_ahash" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xcc3e73a8, "host1x_syncpt_id" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "host1x,crypto_engine");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aes");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aesC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hash");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hashC*");

MODULE_INFO(srcversion, "2452D85258E9B7F8B659228");
MODULE_INFO(rhelversion, "9.6");
