#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xudma_navss_psil_pair, "", "");
KSYMTAB_FUNC(xudma_navss_psil_unpair, "", "");
KSYMTAB_FUNC(of_xudma_dev_get, "", "");
KSYMTAB_FUNC(xudma_get_device, "", "");
KSYMTAB_FUNC(xudma_get_ringacc, "", "");
KSYMTAB_FUNC(xudma_dev_get_psil_base, "", "");
KSYMTAB_FUNC(xudma_dev_get_tisci_rm, "", "");
KSYMTAB_FUNC(xudma_alloc_gp_rflow_range, "", "");
KSYMTAB_FUNC(xudma_free_gp_rflow_range, "", "");
KSYMTAB_FUNC(xudma_rflow_is_gp, "", "");
KSYMTAB_FUNC(xudma_tchan_get, "", "");
KSYMTAB_FUNC(xudma_tchan_put, "", "");
KSYMTAB_FUNC(xudma_rchan_get, "", "");
KSYMTAB_FUNC(xudma_rchan_put, "", "");
KSYMTAB_FUNC(xudma_rflow_get, "", "");
KSYMTAB_FUNC(xudma_rflow_put, "", "");
KSYMTAB_FUNC(xudma_get_rflow_ring_offset, "", "");
KSYMTAB_FUNC(xudma_tchan_get_id, "", "");
KSYMTAB_FUNC(xudma_rchan_get_id, "", "");
KSYMTAB_FUNC(xudma_rflow_get_id, "", "");
KSYMTAB_FUNC(xudma_tchanrt_read, "", "");
KSYMTAB_FUNC(xudma_tchanrt_write, "", "");
KSYMTAB_FUNC(xudma_rchanrt_read, "", "");
KSYMTAB_FUNC(xudma_rchanrt_write, "", "");
KSYMTAB_FUNC(xudma_is_pktdma, "", "");
KSYMTAB_FUNC(xudma_pktdma_tflow_get_irq, "", "");
KSYMTAB_FUNC(xudma_pktdma_rflow_get_irq, "", "");

SYMBOL_CRC(xudma_navss_psil_pair, 0x5402da9f, "");
SYMBOL_CRC(xudma_navss_psil_unpair, 0xae33c403, "");
SYMBOL_CRC(of_xudma_dev_get, 0x859dd687, "");
SYMBOL_CRC(xudma_get_device, 0x7a68d876, "");
SYMBOL_CRC(xudma_get_ringacc, 0x66826f5a, "");
SYMBOL_CRC(xudma_dev_get_psil_base, 0x851b9121, "");
SYMBOL_CRC(xudma_dev_get_tisci_rm, 0x0711edc8, "");
SYMBOL_CRC(xudma_alloc_gp_rflow_range, 0x2e5b27da, "");
SYMBOL_CRC(xudma_free_gp_rflow_range, 0x224ce651, "");
SYMBOL_CRC(xudma_rflow_is_gp, 0xca62afaf, "");
SYMBOL_CRC(xudma_tchan_get, 0x2aabaf9d, "");
SYMBOL_CRC(xudma_tchan_put, 0x1b5196fc, "");
SYMBOL_CRC(xudma_rchan_get, 0x17825d3f, "");
SYMBOL_CRC(xudma_rchan_put, 0x09f9b261, "");
SYMBOL_CRC(xudma_rflow_get, 0xe90253f0, "");
SYMBOL_CRC(xudma_rflow_put, 0x582606eb, "");
SYMBOL_CRC(xudma_get_rflow_ring_offset, 0x120ff8e1, "");
SYMBOL_CRC(xudma_tchan_get_id, 0xda10443c, "");
SYMBOL_CRC(xudma_rchan_get_id, 0x3dd3f054, "");
SYMBOL_CRC(xudma_rflow_get_id, 0x1cf5efa6, "");
SYMBOL_CRC(xudma_tchanrt_read, 0xc89846c4, "");
SYMBOL_CRC(xudma_tchanrt_write, 0xd828f063, "");
SYMBOL_CRC(xudma_rchanrt_read, 0x012de2ea, "");
SYMBOL_CRC(xudma_rchanrt_write, 0xad682b8f, "");
SYMBOL_CRC(xudma_is_pktdma, 0x3b0f23d2, "");
SYMBOL_CRC(xudma_pktdma_tflow_get_irq, 0x9b6c724e, "");
SYMBOL_CRC(xudma_pktdma_rflow_get_irq, 0x9eb187fa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3d87645c, "__platform_driver_register" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x353317f2, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e4a8241, "__dma_request_channel" },
	{ 0x357457c3, "psil_get_ep_config" },
	{ 0xdcb764ad, "memset" },
	{ 0x8220a38e, "k3_ringacc_get_ring_id" },
	{ 0x676c688f, "k3_ringacc_ring_free" },
	{ 0x8d700403, "msi_domain_get_virq" },
	{ 0x1f66f984, "_dev_info" },
	{ 0x99594c72, "seq_printf" },
	{ 0xccad4000, "seq_puts" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x518083f5, "platform_driver_unregister" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xf030e8a8, "dma_free_attrs" },
	{ 0xaaa5b586, "__of_parse_phandle_with_args" },
	{ 0xe04cb6d0, "of_find_device_by_node" },
	{ 0x48a5cf30, "put_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x5de412cd, "k3_ringacc_ring_push" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x88cd7a9a, "k3_ringacc_ring_get_occ" },
	{ 0x664eb54a, "k3_ringacc_ring_reset_dma" },
	{ 0xcd759b82, "k3_ringacc_ring_reset" },
	{ 0xfd3a02de, "dma_set_mask" },
	{ 0x675b1de0, "dma_set_coherent_mask" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x2fac3c71, "k3_ringacc_request_rings_pair" },
	{ 0xf9ccd643, "k3_ringacc_ring_cfg" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x6238976a, "dma_alloc_attrs" },
	{ 0xb82b6b87, "dma_async_tx_descriptor_init" },
	{ 0x70fb5b5b, "vchan_tx_desc_free" },
	{ 0x528a2b52, "vchan_tx_submit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa559c26b, "dma_map_page_attrs" },
	{ 0x7c5cebdb, "__dma_sync_single_for_device" },
	{ 0x693c43b4, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x2c81b1f, "vchan_dma_desc_free_list" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x372539e3, "devm_ti_sci_get_of_resource" },
	{ 0x8448eece, "ti_sci_inta_msi_domain_alloc_irqs" },
	{ 0xf1d800c7, "of_device_is_compatible" },
	{ 0x9244e99c, "devm_platform_ioremap_resource_byname" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x56d2d203, "of_match_node" },
	{ 0xb7cc2841, "ti_sci_get_by_phandle" },
	{ 0xbe60679a, "of_property_read_variable_u32_array" },
	{ 0x67dd0911, "k3_ringacc_dmarings_init" },
	{ 0x509d1d6d, "of_msi_get_domain" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfd54f73e, "devm_kasprintf" },
	{ 0x431c698d, "vchan_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x9ec9ead9, "dma_async_device_register" },
	{ 0x3352f11f, "of_dma_controller_register" },
	{ 0xea9088b7, "soc_device_match" },
	{ 0x7347ec8e, "of_k3_ringacc_get_by_phandle" },
	{ 0x3b0577f0, "dma_async_device_unregister" },
	{ 0xd5807af3, "k3_ringacc_ring_pop" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6720e12, "dma_pool_create" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x758a43fe, "k3_ringacc_get_ring_irq_num" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "k3-psil-lib,virt-dma");

MODULE_ALIAS("of:N*T*Cti,am654-navss-main-udmap");
MODULE_ALIAS("of:N*T*Cti,am654-navss-main-udmapC*");
MODULE_ALIAS("of:N*T*Cti,am654-navss-mcu-udmap");
MODULE_ALIAS("of:N*T*Cti,am654-navss-mcu-udmapC*");
MODULE_ALIAS("of:N*T*Cti,j721e-navss-main-udmap");
MODULE_ALIAS("of:N*T*Cti,j721e-navss-main-udmapC*");
MODULE_ALIAS("of:N*T*Cti,j721e-navss-mcu-udmap");
MODULE_ALIAS("of:N*T*Cti,j721e-navss-mcu-udmapC*");
MODULE_ALIAS("of:N*T*Cti,am64-dmss-bcdma");
MODULE_ALIAS("of:N*T*Cti,am64-dmss-bcdmaC*");
MODULE_ALIAS("of:N*T*Cti,am64-dmss-pktdma");
MODULE_ALIAS("of:N*T*Cti,am64-dmss-pktdmaC*");
MODULE_ALIAS("of:N*T*Cti,am62a-dmss-bcdma-csirx");
MODULE_ALIAS("of:N*T*Cti,am62a-dmss-bcdma-csirxC*");
MODULE_ALIAS("of:N*T*Cti,j721s2-dmss-bcdma-csi");
MODULE_ALIAS("of:N*T*Cti,j721s2-dmss-bcdma-csiC*");

MODULE_INFO(srcversion, "BDEAEA61E0D84B7384B3629");
MODULE_INFO(rhelversion, "9.6");
