#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb50abbd5, "drm_mode_config_helper_resume" },
	{ 0x35d911da, "drm_mode_config_helper_suspend" },
	{ 0x35606afa, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0x292a1f30, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xa05f508e, "drm_dev_unplug" },
	{ 0xf5d478fb, "drm_dev_put" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0x14b03316, "drm_gem_fb_create" },
	{ 0x5c240b92, "pci_unregister_driver" },
	{ 0x9cd0a286, "drm_add_edid_modes" },
	{ 0x976fde6d, "drm_add_modes_noedid" },
	{ 0x1de28621, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x53aede3, "__pci_register_driver" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0xf09da073, "pci_request_region" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x85bd1608, "__request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xcbc143e9, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x3f0d152e, "drm_do_get_edid" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x11c0df60, "drm_connector_attach_edid_property" },
	{ 0x27d16b58, "drm_connector_update_edid_property" },
	{ 0xf88aef22, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xc026c3df, "drm_dev_alloc" },
	{ 0xee7447c3, "pcim_enable_device" },
	{ 0xaff80176, "drmm_kmalloc" },
	{ 0x5050c7fc, "drmm_vram_helper_init" },
	{ 0x7e539e6e, "drmm_mode_config_init" },
	{ 0xe330153e, "drm_simple_display_pipe_init" },
	{ 0xeeb700cf, "drm_mode_config_reset" },
	{ 0xca505706, "drm_dev_register" },
	{ 0x84646ed9, "drm_fbdev_generic_setup" },
	{ 0x62df9345, "drm_gem_vram_offset" },
	{ 0xae4c92b0, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x8d23a10d, "drm_atomic_helper_connector_reset" },
	{ 0xec5993c4, "drm_helper_probe_single_connector_modes" },
	{ 0xcb898fdc, "drm_connector_cleanup" },
	{ 0xff494b5d, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xd7245180, "drm_atomic_helper_connector_destroy_state" },
	{ 0x7107ee65, "drm_vram_mm_debugfs_init" },
	{ 0xb4ea16df, "drm_gem_vram_driver_dumb_create" },
	{ 0xe9b099a, "drm_gem_ttm_dumb_map_offset" },
	{ 0x5cf59222, "drm_vram_helper_mode_valid" },
	{ 0xc89f3ef8, "drm_atomic_helper_check" },
	{ 0xef31f281, "drm_atomic_helper_commit" },
	{ 0x48416a0e, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0x24808cd9, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0xb21ea8cf, "noop_llseek" },
	{ 0x48979855, "drm_read" },
	{ 0x249e1164, "drm_poll" },
	{ 0x8fef9f4a, "drm_ioctl" },
	{ 0x4ade5ed9, "drm_gem_mmap" },
	{ 0x9f774d32, "drm_open" },
	{ 0x238db97f, "drm_release" },
	{ 0x6cb8a462, "param_ops_int" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");
MODULE_INFO(rhelversion, "9.6");
