#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33dc638c, "coresight_get_platform_data" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0xacfd345e, "etm_perf_symlink" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0x652f35d1, "coresight_loses_context_with_cpu" },
	{ 0x518083f5, "platform_driver_unregister" },
	{ 0x569f5560, "coresight_disclaim_device_unlocked" },
	{ 0x31c23e18, "amba_driver_unregister" },
	{ 0x54d07452, "cscfg_csdev_disable_active_config" },
	{ 0xd73b1c5a, "task_active_pid_ns" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x86743b50, "coresight_register" },
	{ 0x953c768c, "init_pid_ns" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0x98b431, "cscfg_unregister_csdev" },
	{ 0x81908741, "coresight_enable" },
	{ 0x7aa0e102, "__pm_runtime_set_status" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf666e728, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d88edeb, "pm_runtime_enable" },
	{ 0xdbc53335, "coresight_claim_device_unlocked" },
	{ 0x1f66f984, "_dev_info" },
	{ 0xe7155cc1, "__amba_driver_register" },
	{ 0x444f1735, "cpu_pm_register_notifier" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x353317f2, "_dev_err" },
	{ 0x7a9017b6, "__cpuhp_setup_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0x30315a17, "cscfg_csdev_reset_feats" },
	{ 0xdcb764ad, "memset" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4cb9c85, "cscfg_csdev_enable_active_config" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x3d87645c, "__platform_driver_register" },
	{ 0x237a6657, "cscfg_register_csdev" },
	{ 0xfd54f73e, "devm_kasprintf" },
	{ 0xb625b663, "fwnode_property_present" },
	{ 0x4f98d766, "cpu_pm_unregister_notifier" },
	{ 0x42e6ceb9, "__pm_runtime_resume" },
	{ 0xfe7c7e80, "devm_ioremap_resource" },
	{ 0xa22d495e, "perf_event_addr_filters_sync" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb0043d28, "cscfg_config_sysfs_get_active_cfg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6cb8a462, "param_ops_int" },
	{ 0x8b68b075, "__pm_runtime_disable" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xc6715e9d, "__cpuhp_remove_state" },
	{ 0xad17ec43, "coresight_get_cpu" },
	{ 0xc7ada402, "__pm_runtime_idle" },
	{ 0xd8338cbf, "__dev_fwnode" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("acpi*:ARMHC500:*");
MODULE_ALIAS("amba:d???BB95D");
MODULE_ALIAS("amba:d???BB95E");
MODULE_ALIAS("amba:d???BB95A");
MODULE_ALIAS("amba:d???BB959");
MODULE_ALIAS("amba:d???BB9DA");
MODULE_ALIAS("amba:d???BBD05");
MODULE_ALIAS("amba:d???BBD0A");
MODULE_ALIAS("amba:d???BBD0C");
MODULE_ALIAS("amba:d???BBD41");
MODULE_ALIAS("amba:d???F0205");
MODULE_ALIAS("amba:d???F0211");
MODULE_ALIAS("amba:d???BB802");
MODULE_ALIAS("amba:d???BB803");
MODULE_ALIAS("amba:d???BB805");
MODULE_ALIAS("amba:d???BB804");
MODULE_ALIAS("amba:d???BBD0D");
MODULE_ALIAS("amba:d???CC0AF");
MODULE_ALIAS("amba:d???B6D01");
MODULE_ALIAS("amba:d???B6D02");

MODULE_INFO(srcversion, "3E0594DE574673070CC5368");
MODULE_INFO(rhelversion, "9.6");
