#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xf9ce1fe5, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x0afb6655, "_gpl");
SYMBOL_CRC(stm_data_write, 0xf1a1aed3, "_gpl");
SYMBOL_CRC(stm_register_device, 0x7bcd307b, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x3881a91e, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x1650a077, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x3af9b9d8, "_gpl");
SYMBOL_CRC(stm_source_write, 0xdf658d79, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xa4dad484, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4b11d0b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5ce8a152, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x445334d7, "device_unregister" },
	{ 0x522d9060, "pm_runtime_set_autosuspend_delay" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x58626592, "vm_iomap_memory" },
	{ 0x6ebbc543, "config_item_get" },
	{ 0xf868d9ec, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xf687acf8, "synchronize_srcu" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0x762dabe0, "configfs_unregister_subsystem" },
	{ 0x7aa0e102, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x48a5cf30, "put_device" },
	{ 0x4d88edeb, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x7d992d24, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x321ffbb5, "init_srcu_struct" },
	{ 0xedaf9b1a, "down_write" },
	{ 0x58b2315a, "up_write" },
	{ 0x885cebf1, "configfs_register_subsystem" },
	{ 0xe4c29a3a, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x2c263c2e, "__srcu_read_lock" },
	{ 0xa8844b50, "config_group_init_type_name" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x3a990ab2, "class_unregister" },
	{ 0x56914975, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdcb764ad, "memset" },
	{ 0x2b2aa8d1, "__get_task_comm" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0x97112dde, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x723e5fbd, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2345f10a, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x42e6ceb9, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x5afd7b18, "config_item_put" },
	{ 0x5cfa28ba, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5b2b8272, "kobject_set_name" },
	{ 0xa131308f, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x72fc134b, "__srcu_read_unlock" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x977f6778, "__pm_runtime_suspend" },
	{ 0x94c9618d, "__pm_runtime_use_autosuspend" },
	{ 0x8b68b075, "__pm_runtime_disable" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x3990fbc1, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xe9b12e7b, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.6");
