#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_bio_prison_create, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_key_has_valid_range, "", "");
KSYMTAB_FUNC(dm_bio_detain, "_gpl", "");
KSYMTAB_FUNC(dm_get_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release_no_holder, "_gpl", "");
KSYMTAB_FUNC(dm_cell_error, "_gpl", "");
KSYMTAB_FUNC(dm_cell_visit_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_promote_or_release, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_create, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_inc, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_dec, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_add_work, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_create_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_get_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_put_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_quiesce_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_promote_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_unlock_v2, "_gpl", "");

SYMBOL_CRC(dm_bio_prison_create, 0x753e20b2, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy, 0xb70b342a, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell, 0x7a6a9a6e, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell, 0xd07ac5a9, "_gpl");
SYMBOL_CRC(dm_cell_key_has_valid_range, 0x476d2454, "");
SYMBOL_CRC(dm_bio_detain, 0xc3eea5ec, "_gpl");
SYMBOL_CRC(dm_get_cell, 0xdc5081ea, "_gpl");
SYMBOL_CRC(dm_cell_release, 0x5a81be46, "_gpl");
SYMBOL_CRC(dm_cell_release_no_holder, 0xea39257e, "_gpl");
SYMBOL_CRC(dm_cell_error, 0xd7940cb9, "_gpl");
SYMBOL_CRC(dm_cell_visit_release, 0x5016c10d, "_gpl");
SYMBOL_CRC(dm_cell_promote_or_release, 0x6f6ae164, "_gpl");
SYMBOL_CRC(dm_deferred_set_create, 0x17dd39d6, "_gpl");
SYMBOL_CRC(dm_deferred_set_destroy, 0x2eb01e04, "_gpl");
SYMBOL_CRC(dm_deferred_entry_inc, 0xca2e3a88, "_gpl");
SYMBOL_CRC(dm_deferred_entry_dec, 0x6791a44e, "_gpl");
SYMBOL_CRC(dm_deferred_set_add_work, 0xb6d5c65d, "_gpl");
SYMBOL_CRC(dm_bio_prison_create_v2, 0xd99e003d, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy_v2, 0xace9b57b, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell_v2, 0x1e73b700, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell_v2, 0x537337b5, "_gpl");
SYMBOL_CRC(dm_cell_get_v2, 0xf155d1fe, "_gpl");
SYMBOL_CRC(dm_cell_put_v2, 0xb4502142, "_gpl");
SYMBOL_CRC(dm_cell_lock_v2, 0x412480c4, "_gpl");
SYMBOL_CRC(dm_cell_quiesce_v2, 0xeb8284b7, "_gpl");
SYMBOL_CRC(dm_cell_lock_promote_v2, 0xcd378c6c, "_gpl");
SYMBOL_CRC(dm_cell_unlock_v2, 0x1ec9f070, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x7c23dd96, "mempool_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x594d9fa0, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4aa1d80, "mempool_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x41324ac6, "mempool_alloc" },
	{ 0xd5ce2810, "bio_endio" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdcb764ad, "memset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x4791505b, "mempool_exit" },
	{ 0x40c70f0a, "kmem_cache_destroy" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A547DB92EAD4D1714406660");
MODULE_INFO(rhelversion, "9.6");
