#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xbfc51200, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x28bc17df, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x81633682, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xb3da9cdf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x193fb118, "ether_setup" },
	{ 0x77fa51f0, "__ethtool_get_link_ksettings" },
	{ 0x9d66a825, "ethtool_get_ts_info_by_layer" },
	{ 0x68c10147, "init_net" },
	{ 0x9b291f76, "generic_hwtstamp_set_lower" },
	{ 0xe34c76c1, "generic_hwtstamp_get_lower" },
	{ 0xf5c46501, "dev_mc_del" },
	{ 0x6047a7de, "dev_uc_del" },
	{ 0x4ffc0360, "dev_mc_add_excl" },
	{ 0x775816e3, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf9008838, "vlan_vid_del" },
	{ 0x1a840fc5, "vlan_vid_add" },
	{ 0xf7d80798, "dev_set_allmulti" },
	{ 0x85ec354, "dev_set_promiscuity" },
	{ 0xd9e61d11, "dev_uc_unsync" },
	{ 0xcf1f5196, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x7880968a, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x28d86a3a, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609550c3, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0xa11893ac, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d14e4a0, "dev_uc_add" },
	{ 0x303f9d90, "dev_set_mac_address" },
	{ 0x3a33e7f1, "call_netdevice_notifiers" },
	{ 0xe6ca0f92, "netif_inherit_tso_max" },
	{ 0x64210a91, "netdev_update_features" },
	{ 0x24811523, "netif_stacked_transfer_operstate" },
	{ 0xa80769c7, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x720c12a0, "unregister_netdevice_queue" },
	{ 0x845f5642, "netdev_upper_dev_unlink" },
	{ 0xa4cf3366, "dev_uc_sync" },
	{ 0x98476eae, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5e634f52, "skb_clone" },
	{ 0x4c3ec1e6, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x7b1728c3, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5abd116, "consume_skb" },
	{ 0xdc048c53, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2e632799, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x415eddf5, "register_netdevice" },
	{ 0x67eab195, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbaf454d4, "linkwatch_fire_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0e070b5, "netdev_core_stats_alloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x48de077a, "__netif_rx" },
	{ 0xe686251c, "__dev_queue_xmit" },
	{ 0xf1da839f, "dev_forward_skb" },
	{ 0xcc13bd97, "ip_check_defrag" },
	{ 0x2c11608b, "passthru_features_check" },
	{ 0x60245b8d, "eth_validate_addr" },
	{ 0x6688a8c2, "ndo_dflt_fdb_dump" },
	{ 0xf7d8c897, "eth_header_parse" },
	{ 0x8ff02f8a, "eth_header_cache" },
	{ 0x2d891e97, "eth_header_cache_update" },
	{ 0x685c7af0, "ethtool_op_get_link" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.6");
