#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x465e4f14, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xfdde847c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa3c135c5, "fasync_helper" },
	{ 0xbd372c42, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcb324c2c, "netdev_info" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x90713148, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0xbaa369e, "from_kgid_munged" },
	{ 0x5bb13559, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6be64673, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5831bfd, "dev_get_tstats64" },
	{ 0xceb14b56, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x7880968a, "rtnl_link_register" },
	{ 0xe72a4f02, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7e7a5752, "misc_deregister" },
	{ 0x28d86a3a, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x638e2a5e, "xdp_return_frame" },
	{ 0xdb373247, "__wake_up_sync_key" },
	{ 0x5cb738a5, "kill_fasync" },
	{ 0xce8bdb71, "netif_carrier_on" },
	{ 0xa71cc059, "netif_carrier_off" },
	{ 0x8d5de292, "bpf_prog_put" },
	{ 0xf63521f2, "build_skb" },
	{ 0xaf2eb1b6, "skb_put" },
	{ 0x1d8ab448, "skb_set_owner_w" },
	{ 0x226ad26a, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0xd8fb3eae, "sock_init_data_uid" },
	{ 0x709001e7, "sk_free" },
	{ 0x53f986f6, "napi_gro_receive" },
	{ 0xbe0309c0, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb84ef1d9, "add_wait_queue" },
	{ 0xeb92f9b, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xcae166dc, "skb_queue_purge_reason" },
	{ 0x977f9c2a, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4310afa, "xdp_rxq_info_unreg" },
	{ 0x64de95df, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7d992d24, "module_put" },
	{ 0x88f6ba57, "napi_get_frags" },
	{ 0x24fb0d03, "iov_iter_single_seg_count" },
	{ 0x66e496b7, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x902c5de4, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xf3cc5d39, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x628171ce, "skb_copy_ubufs" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd0e070b5, "netdev_core_stats_alloc" },
	{ 0x46c4d0dc, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xfa66788c, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7d6f16d7, "___pskb_trim" },
	{ 0xdc6b28cd, "__skb_get_hash_symmetric_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd6946d62, "netif_set_real_num_tx_queues" },
	{ 0xd8cd949d, "netif_set_real_num_rx_queues" },
	{ 0x720c12a0, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xadd1a6b6, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x7330eb8b, "__skb_flow_dissect" },
	{ 0xad926d2f, "skb_partial_csum_set" },
	{ 0x357d7e60, "__pskb_pull_tail" },
	{ 0x99594c72, "seq_printf" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x19e1848f, "xdp_rxq_info_is_reg" },
	{ 0x197a0bca, "__xdp_rxq_info_reg" },
	{ 0x2e6b7f8d, "xdp_rxq_info_reg_mem_model" },
	{ 0xa3a98358, "netif_napi_add_weight" },
	{ 0x9bc4b442, "napi_enable" },
	{ 0xba6d7dba, "lock_sock_nested" },
	{ 0xe9eea60e, "sk_attach_filter" },
	{ 0xc070cbc2, "release_sock" },
	{ 0xa7d7bbab, "__dev_get_by_name" },
	{ 0x36d75f5, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xde4189e2, "alloc_netdev_mqs" },
	{ 0xba740b12, "ip_tunnel_header_ops" },
	{ 0x415eddf5, "register_netdevice" },
	{ 0x372871ad, "netif_tx_wake_queue" },
	{ 0x193fb118, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa438e0c0, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7e4efcb2, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5d6102cb, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xd141a2b1, "iov_iter_advance" },
	{ 0xd0697670, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5abd116, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9282f3df, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa6de9bd1, "bpf_prog_get_type_dev" },
	{ 0x458b7ab5, "xdp_do_redirect" },
	{ 0xa78a726a, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x958eaf8a, "__traceiter_xdp_exception" },
	{ 0x4f41dac0, "xdp_return_frame_rx_napi" },
	{ 0xf6bd23c3, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc64244c, "__page_frag_cache_drain" },
	{ 0x75f4a85d, "eth_type_trans" },
	{ 0xa518decd, "xdp_master_redirect" },
	{ 0x49963bfb, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb7dd295f, "__folio_put" },
	{ 0xd5549717, "__put_devmap_managed_page_refs" },
	{ 0x3beef8ba, "skb_page_frag_refill" },
	{ 0x2cc404d0, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x2c99eda4, "_copy_from_iter" },
	{ 0x1e216358, "iov_iter_npages" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x6e360414, "skb_copy_datagram_from_iter" },
	{ 0x4c2c9bdf, "sock_alloc_send_pskb" },
	{ 0x31810e78, "zerocopy_sg_from_iter" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x773e907b, "skb_push" },
	{ 0xa8c93f20, "eth_get_headlen" },
	{ 0x5771a994, "napi_gro_frags" },
	{ 0xa6508ccb, "iov_iter_revert" },
	{ 0x7be4964c, "napi_schedule_prep" },
	{ 0x3fc634e3, "__napi_schedule" },
	{ 0x5e5555be, "get_net_ns" },
	{ 0xf78269b2, "open_related_ns" },
	{ 0x686bd81c, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3493490e, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x64210a91, "netdev_update_features" },
	{ 0x33732eb3, "dev_set_mac_address_user" },
	{ 0x35fdae94, "make_kuid" },
	{ 0x8d3d7d9a, "init_user_ns" },
	{ 0x3caba91, "from_kuid" },
	{ 0x9f154208, "sk_detach_filter" },
	{ 0x3a33e7f1, "call_netdevice_notifiers" },
	{ 0xa2695a72, "__module_get" },
	{ 0x8ceed03c, "from_kgid" },
	{ 0x685c7af0, "ethtool_op_get_link" },
	{ 0x36d7b274, "ethtool_op_get_ts_info" },
	{ 0x2c11608b, "passthru_features_check" },
	{ 0xc76da801, "eth_mac_addr" },
	{ 0x60245b8d, "eth_validate_addr" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4264757A94033474468135");
MODULE_INFO(rhelversion, "9.6");
