#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x916f51f2, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x77f92675, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x98e69ed5, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x47fab757, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x02f0f0e0, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x6797271e, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0xf0a42d90, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x38df928f, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x4c1706bc, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x5666aab6, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x50b7b1c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xdb9d9418, "brcmu_pktq_mlen" },
	{ 0x81c14c4f, "cfg80211_sched_scan_results" },
	{ 0x496dad7b, "sdio_retune_hold_now" },
	{ 0x403d43cd, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1e78abff, "usb_alloc_urb" },
	{ 0xc6cc0afd, "sdio_disable_func" },
	{ 0x2190d45b, "cfg80211_mgmt_tx_status_ext" },
	{ 0xc6a6af39, "device_set_wakeup_enable" },
	{ 0xf036398, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x20e563e8, "sdio_set_block_size" },
	{ 0xfd1a7502, "is_acpi_device_node" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3795bee3, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0x248574be, "pci_enable_device" },
	{ 0xaf2eb1b6, "skb_put" },
	{ 0xb8a3d94d, "brcmu_pkt_buf_free_skb" },
	{ 0xbe60679a, "of_property_read_variable_u32_array" },
	{ 0x4d48e886, "sdio_retune_crc_disable" },
	{ 0x2778fdeb, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x972692e, "firmware_request_nowarn" },
	{ 0x518083f5, "platform_driver_unregister" },
	{ 0x805c9380, "sdio_claim_host" },
	{ 0xc253262f, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x983aab02, "sdio_memcpy_fromio" },
	{ 0x5abd116, "consume_skb" },
	{ 0x963c7cad, "sdio_register_driver" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x32b6add7, "unregister_netdev" },
	{ 0x75347d8c, "cfg80211_remain_on_channel_expired" },
	{ 0x2fdd3d7, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0xc099ea4a, "cfg80211_register_netdevice" },
	{ 0x203856b0, "dma_unmap_page_attrs" },
	{ 0x89fc1e50, "request_firmware" },
	{ 0xc34f7648, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x53aede3, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xe1d7390e, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb84ef1d9, "add_wait_queue" },
	{ 0xb7ab732c, "cfg80211_port_authorized" },
	{ 0x31c0eab2, "brcmu_pktq_init" },
	{ 0x80406924, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd717f8a5, "prepare_to_wait_event" },
	{ 0x7d4c04c5, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xcb676cb, "__wake_up" },
	{ 0xe85dc7a8, "cfg80211_new_sta" },
	{ 0x86975271, "of_irq_parse_one" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x6dcc8cbe, "cfg80211_disconnected" },
	{ 0x193fb118, "ether_setup" },
	{ 0x5c240b92, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x77b82ced, "of_get_property" },
	{ 0x66e496b7, "pskb_expand_head" },
	{ 0xdd9e524e, "wake_up_process" },
	{ 0x693c43b4, "dev_driver_string" },
	{ 0x72207b8d, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x75f4a85d, "eth_type_trans" },
	{ 0xd57be349, "pci_read_config_dword" },
	{ 0xa559c26b, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xde4189e2, "alloc_netdev_mqs" },
	{ 0x20e0ce7e, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x63907a05, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x131e3952, "devm_kstrdup" },
	{ 0x5c36b775, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb6674ac, "sdio_release_irq" },
	{ 0xbe2abee6, "cfg80211_crit_proto_stopped" },
	{ 0x47729e67, "wiphy_register" },
	{ 0x7c5ee64a, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x5bd4c8e, "cfg80211_put_bss" },
	{ 0xb9484a79, "cfg80211_roamed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x3654d271, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x1f66f984, "_dev_info" },
	{ 0xb4d6d3ea, "of_get_mac_address" },
	{ 0xafa89805, "skb_queue_tail" },
	{ 0xe04d6229, "ieee80211_get_channel_khz" },
	{ 0x6ace13ce, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaea02849, "sdio_set_host_pm_flags" },
	{ 0xadee82b8, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x50c2cacd, "sdio_unregister_driver" },
	{ 0xd2fd64c1, "sdio_readsb" },
	{ 0xf6a05bdd, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x547a58f9, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0x353317f2, "_dev_err" },
	{ 0x1a6d79fd, "device_wakeup_enable" },
	{ 0x32ae2445, "cfg80211_ibss_joined" },
	{ 0x12e3381b, "request_firmware_nowait" },
	{ 0x64b8630, "simple_open" },
	{ 0xc3cd7df8, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xd2a0d302, "irq_get_irq_data" },
	{ 0x4ce28e57, "wiphy_apply_custom_regulatory" },
	{ 0x9dc8bf2f, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x773e907b, "skb_push" },
	{ 0x888fe3e1, "sdio_retune_crc_enable" },
	{ 0x66171155, "brcmu_pktq_flush" },
	{ 0x2b3cf4b8, "brcmu_pktq_peek_tail" },
	{ 0x6238976a, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xbab4cb36, "cfg80211_del_sta_sinfo" },
	{ 0x8fa3c4c0, "sdio_readl" },
	{ 0xefa02d41, "mmc_set_data_timeout" },
	{ 0xf00a075f, "nla_put" },
	{ 0x76b4e76b, "register_netdev" },
	{ 0x66b993b9, "wiphy_unregister" },
	{ 0xa438e0c0, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x85b0572c, "of_property_read_string" },
	{ 0x63b55d6e, "wiphy_read_of_freq_limits" },
	{ 0x443ed2ea, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb4bb434e, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb4a4bf5f, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xeb24fb6d, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x372871ad, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0xff71a76d, "brcmu_pktq_pdeq_match" },
	{ 0xdc3b2789, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe9a0adec, "sdio_writel" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x7a3f484d, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xc8558734, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0x357d7e60, "__pskb_pull_tail" },
	{ 0x4c3ec1e6, "netif_rx" },
	{ 0xdfca7fae, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xe0e7bf8b, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x42654ea8, "skb_trim" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x4d767404, "skb_unlink" },
	{ 0x9f0f0e38, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73008c72, "kthread_create_on_node" },
	{ 0xfd54f73e, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2345f10a, "pm_runtime_forbid" },
	{ 0xee9945f8, "debugfs_create_file" },
	{ 0xddfcbe4a, "brcmu_pktq_mdeq" },
	{ 0x42316ddd, "cfg80211_unregister_wdev" },
	{ 0xaab0e643, "pci_pme_capable" },
	{ 0xa03acd69, "brcmu_pktq_penq" },
	{ 0xf030e8a8, "dma_free_attrs" },
	{ 0x5a99b223, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x3565c84c, "__platform_driver_probe" },
	{ 0xf1d800c7, "of_device_is_compatible" },
	{ 0x9a15586, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc5e51699, "usb_autopm_get_interface" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x6adbfe48, "brcmu_pktq_pdeq_tail" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7293b65a, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xacf6ab90, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa71cc059, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xce8bdb71, "netif_carrier_on" },
	{ 0xbff85f0d, "brcmu_pkt_buf_get_skb" },
	{ 0xd7ed1691, "mmc_hw_reset" },
	{ 0xe1800f97, "sdio_retune_release" },
	{ 0xbfe336ac, "sdio_claim_irq" },
	{ 0xde6a3559, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x375ece62, "pci_disable_device" },
	{ 0x7675ad7e, "pci_match_id" },
	{ 0x870b529a, "sdio_enable_func" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xeb92f9b, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4e0a0bf1, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xccfff1c3, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x514e5b7d, "cfg80211_inform_bss_data" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x38ce49d3, "irq_create_of_mapping" },
	{ 0xcb063ac6, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8c79a512, "dev_kfree_skb_any_reason" },
	{ 0x6cb8a462, "param_ops_int" },
	{ 0x6dce9416, "of_find_node_opts_by_path" },
	{ 0x349cba85, "strchr" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x7a27c74c, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xaa39bcb2, "wiphy_free" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xc82b8339, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x454b58d1, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x222644f4, "pci_write_config_dword" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x55964b4a, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe60d0435, "sdio_readb" },
	{ 0xc2a0dcf0, "sdio_writeb" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CAB44B67EBCB4CD3858D7ED");
MODULE_INFO(rhelversion, "9.6");
