#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x8942ba23, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2849ae06, "nvme_remove_admin_tag_set" },
	{ 0xe69e82f5, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28132ba1, "ida_alloc_range" },
	{ 0x6cf7bb1f, "nvme_uninit_ctrl" },
	{ 0xf2a66d63, "ida_destroy" },
	{ 0xe0b54ecc, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x23f381bc, "nvmf_free_options" },
	{ 0xd3d28ac8, "nvmf_subsystem_reset" },
	{ 0x7f01e607, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0x762ce6e4, "nvme_stop_keep_alive" },
	{ 0xdb21746e, "blk_mq_complete_request_remote" },
	{ 0x203856b0, "dma_unmap_page_attrs" },
	{ 0xc6270df4, "nvme_setup_cmd" },
	{ 0xfb95c3f2, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xb25ef903, "nvme_alloc_admin_tag_set" },
	{ 0xeff5ed7c, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xd717f8a5, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x7e712d17, "nvmf_reg_read32" },
	{ 0xcb676cb, "__wake_up" },
	{ 0xfaaf0c92, "nvme_delete_ctrl" },
	{ 0xd93baea4, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x693c43b4, "dev_driver_string" },
	{ 0xf10a12e2, "nvmf_get_address" },
	{ 0xa559c26b, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbf4de899, "nvme_remove_io_tag_set" },
	{ 0x6dc933b6, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2128036e, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xfe3b867b, "nvmf_unregister_transport" },
	{ 0x34645eaf, "blkcg_get_fc_appid" },
	{ 0x48a5cf30, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa23df8a4, "nvme_change_ctrl_state" },
	{ 0x1f66f984, "_dev_info" },
	{ 0x651dec04, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x6c120a18, "nvme_alloc_io_tag_set" },
	{ 0x2461e28a, "nvme_fail_nonready_command" },
	{ 0x52d8cb4d, "kobject_uevent_env" },
	{ 0xa3940432, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x353317f2, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x2aeed684, "device_create" },
	{ 0xa36c305e, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x907280ca, "__blk_rq_map_sg" },
	{ 0x25f51d80, "ida_free" },
	{ 0xa5e9ff71, "nvmf_reg_read64" },
	{ 0x3a990ab2, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa180b9af, "nvmf_connect_admin_queue" },
	{ 0xb62903b9, "nvme_enable_ctrl" },
	{ 0x9aacb938, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3523da1a, "nvme_unquiesce_io_queues" },
	{ 0x5707502a, "blk_mq_update_nr_hw_queues" },
	{ 0x51d653ff, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x233f0b4a, "nvmf_should_reconnect" },
	{ 0x7c5cebdb, "__dma_sync_single_for_device" },
	{ 0xce69b171, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5cd76feb, "device_destroy" },
	{ 0xddf8297e, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xd0979c61, "nvmf_register_transport" },
	{ 0x769ac12d, "blk_mq_start_request" },
	{ 0xa0e9c4da, "nvme_quiesce_io_queues" },
	{ 0xb538b5df, "blk_mq_tagset_busy_iter" },
	{ 0x5f99a4fa, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7c61eddc, "dma_unmap_sg_attrs" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0xf76690c9, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xcea3d753, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xab59c6df, "nvme_quiesce_admin_queue" },
	{ 0x3990fbc1, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa3bf8be3, "__nvme_check_ready" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x619a928a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4135b5b9, "nvme_add_ctrl" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.6");
