#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x91ad10d9, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0xabddf833, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x9a1ebed7, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x6cd84d5a, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x15cc1b21, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x964215e0, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x06ce150e, "_gpl");
SYMBOL_CRC(ucsi_create, 0x53a8062f, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x4f7972e2, "_gpl");
SYMBOL_CRC(ucsi_register, 0x77243047, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xed6c79f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0xaadf741d, "typec_partner_set_pd_revision" },
	{ 0x59680c46, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9c16e4f, "typec_register_partner" },
	{ 0x34f9961d, "typec_port_set_usb_power_delivery" },
	{ 0x90c62ec7, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7d0289c4, "typec_port_register_altmode" },
	{ 0x230c3652, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8addd0dc, "trace_raw_output_prep" },
	{ 0xdbce4103, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x3108c433, "trace_event_printf" },
	{ 0x84067d58, "trace_event_raw_init" },
	{ 0x4635dd23, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x13feea0c, "seq_lseek" },
	{ 0xad946aef, "bpf_trace_run2" },
	{ 0x6e27ba6e, "event_triggers_call" },
	{ 0x1f7ff346, "typec_set_mode" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0x2b26625b, "trace_event_buffer_commit" },
	{ 0x83524659, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3bd93ad5, "trace_event_ignore_this_pid" },
	{ 0xbc31ead, "typec_partner_register_altmode" },
	{ 0xfba7ac2d, "typec_partner_set_num_altmodes" },
	{ 0x9fcb7e9b, "typec_unregister_partner" },
	{ 0x384cfb83, "typec_set_pwr_opmode" },
	{ 0xccb63d1c, "typec_cable_set_identity" },
	{ 0x8a0bcbb0, "debugfs_attr_read" },
	{ 0x5dab5bad, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc2e50066, "perf_trace_run_bpf_submit" },
	{ 0x353317f2, "_dev_err" },
	{ 0xa9e372f, "typec_altmode_update_active" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x48d9a700, "device_property_read_u8_array" },
	{ 0x76600e80, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xcf455481, "usb_power_delivery_register_capabilities" },
	{ 0x5da1cbef, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xe32e652a, "debugfs_remove" },
	{ 0x218c44cd, "usb_power_delivery_unregister" },
	{ 0x29142c07, "trace_event_reg" },
	{ 0x71ea4d59, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7cd13903, "typec_unregister_port" },
	{ 0x1877975b, "power_supply_get_drvdata" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x3d9fb270, "typec_register_port" },
	{ 0x2c3a8c9b, "typec_plug_set_num_altmodes" },
	{ 0x5b9b09c2, "typec_partner_set_usb_power_delivery" },
	{ 0xd88ed229, "power_supply_changed" },
	{ 0x6d638aa6, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd9a20295, "typec_plug_register_altmode" },
	{ 0xfd54f73e, "devm_kasprintf" },
	{ 0xa726c750, "seq_read" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xee9945f8, "debugfs_create_file" },
	{ 0x32ec5959, "trace_event_buffer_reserve" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5d6f4dbc, "typec_unregister_altmode" },
	{ 0xa702fe30, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x99594c72, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc611d79a, "usb_power_delivery_unregister_capabilities" },
	{ 0x409a542c, "typec_get_drvdata" },
	{ 0x75ddf5fe, "typec_partner_set_identity" },
	{ 0xe7209e02, "power_supply_unregister" },
	{ 0xc9ab0114, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc62a798, "typec_set_pwr_role" },
	{ 0x9c5cfdf5, "typec_partner_usb_power_delivery_register" },
	{ 0x2eb277ce, "dev_err_probe" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0xec137ca3, "usb_debug_root" },
	{ 0xc4cded12, "fwnode_handle_put" },
	{ 0xd3419262, "device_get_next_child_node" },
	{ 0xf0c41377, "single_open" },
	{ 0x646078b1, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd8338cbf, "__dev_fwnode" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DBC2F676B010BB3E71E91FE");
MODULE_INFO(rhelversion, "9.6");
