#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xd55b3dc3, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x013446fb, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xb7cd7933, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x14cac5dc, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x7640ddfe, "_gpl");
SYMBOL_CRC(br_forward, 0x13d76e20, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xba8d9b56, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x6acf94f7, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x58cdb5d9, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x606c1649, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x94ee3f74, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x63ff611a, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x67822dbd, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xab47f7d0, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x4cf803b2, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xd3cc663f, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x11e79ded, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xa5c6daa7, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x97f76e12, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x53a0fa98, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xed3a66f4, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x8b45f72c, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xf865d8a8, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x0922a6bc, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x47c2a565, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa58406ae, "netdev_lower_get_next" },
	{ 0xa80769c7, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8fc50d36, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x7bc48f6d, "skb_copy_bits" },
	{ 0x3ffdd57f, "__nlmsg_put" },
	{ 0x6dbbc615, "switchdev_port_attr_set" },
	{ 0xf7afebb1, "ipv6_mc_check_mld" },
	{ 0xaf2eb1b6, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd5bd746a, "call_switchdev_notifiers" },
	{ 0xb1c9047f, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x64210a91, "netdev_update_features" },
	{ 0x5abd116, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x74f159ca, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x15d1657a, "__traceiter_br_fdb_update" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x6047a7de, "dev_uc_del" },
	{ 0x7880968a, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7534cd11, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb89e5343, "switchdev_port_obj_act_is_deferred" },
	{ 0x4c8acfa7, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x85ec354, "dev_set_promiscuity" },
	{ 0xd0623a7b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x720c12a0, "unregister_netdevice_queue" },
	{ 0x594d9fa0, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xadd1a6b6, "netdev_state_change" },
	{ 0x379b71b9, "__pskb_copy_fclone" },
	{ 0xa7d7bbab, "__dev_get_by_name" },
	{ 0x193fb118, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0697670, "netdev_err" },
	{ 0x66e496b7, "pskb_expand_head" },
	{ 0xf04638de, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x9c3ef785, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x6d726a1f, "arp_xmit" },
	{ 0xc3c543f7, "__traceiter_br_mdb_full" },
	{ 0xde4189e2, "alloc_netdev_mqs" },
	{ 0x2c11608b, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc048c53, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x5958beb8, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x89e03224, "__alloc_skb" },
	{ 0xdf2f52f7, "kmem_cache_alloc" },
	{ 0x4f8672d5, "rtnl_set_sk_err" },
	{ 0x8fab2fa9, "skb_vlan_pop" },
	{ 0x1dddf596, "rtnl_unicast" },
	{ 0x9a7d322a, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x67609479, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0xa3742337, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2e632799, "__dev_get_by_index" },
	{ 0x28d86a3a, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x667094e6, "dev_get_port_parent_id" },
	{ 0x68c10147, "init_net" },
	{ 0x9eb8353f, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a87ee9, "inet_confirm_addr" },
	{ 0xc3cd7df8, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8618429e, "sysfs_remove_link" },
	{ 0xeb08d03c, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe2424e9c, "rtnl_af_unregister" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x9d690c06, "arp_send" },
	{ 0x37d6cf1, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x2b3030e8, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x773e907b, "skb_push" },
	{ 0x11f89b39, "kmem_cache_free" },
	{ 0x6688a8c2, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x845f5642, "netdev_upper_dev_unlink" },
	{ 0x90713148, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb40e705, "llc_mac_hdr_init" },
	{ 0xa438e0c0, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xe7a74303, "kobject_init_and_add" },
	{ 0x855eb3b4, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x36d75f5, "ns_capable" },
	{ 0x4d3a5c89, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xaf0811fa, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x685c7af0, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x25ac0ee, "arp_create" },
	{ 0x77fa51f0, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8cb731de, "stp_proto_register" },
	{ 0x8722a08c, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0x92463c2f, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x8916a2ff, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5d2ccb58, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1d3950a9, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x357d7e60, "__pskb_pull_tail" },
	{ 0x5831bfd, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4c3ec1e6, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x15b6fb4c, "ip_mc_check_igmp" },
	{ 0xdfca7fae, "__netdev_alloc_skb" },
	{ 0xade4e284, "rhashtable_destroy" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0x7ad68948, "switchdev_port_obj_del" },
	{ 0xd81cd3ab, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xaaafe71c, "kobject_create_and_add" },
	{ 0x42654ea8, "skb_trim" },
	{ 0xc3657031, "nf_hook_slow" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe57b8e2, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x650a835c, "__ip_mc_inc_group" },
	{ 0x677a45e2, "netdev_walk_all_upper_dev_rcu" },
	{ 0xce8f9e98, "sysfs_remove_group" },
	{ 0xcbb593df, "__traceiter_br_fdb_external_learn_add" },
	{ 0x33b741a1, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xe0fe4026, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe686251c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1a840fc5, "vlan_vid_add" },
	{ 0x9b3e0285, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x45a129ff, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3a33e7f1, "call_netdevice_notifiers" },
	{ 0x5b2d5bfb, "is_skb_forwardable" },
	{ 0xf9008838, "vlan_vid_del" },
	{ 0xf7d80798, "dev_set_allmulti" },
	{ 0xcbbbcf15, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xff3ea15f, "netdev_master_upper_dev_get" },
	{ 0x8b27bc0d, "ipv6_dev_mc_inc" },
	{ 0x6e0de386, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa71cc059, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb26ddd48, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5e634f52, "skb_clone" },
	{ 0x1574833a, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x1d2e326, "dst_release" },
	{ 0xce8bdb71, "netif_carrier_on" },
	{ 0x790f2414, "kobject_uevent" },
	{ 0xe6ecf8a7, "arp_tbl" },
	{ 0xde95f287, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa11893ac, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d14e4a0, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x74ea7148, "netif_set_tso_max_size" },
	{ 0x1515e7fb, "dev_disable_lro" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x5cc77d61, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8f700892, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x8c79a512, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x744dd62, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x843799ad, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x10322e07, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xf6dcae46, "skb_ext_add" },
	{ 0xcf512a9, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x47012749, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xa51f2efc, "neigh_lookup" },
	{ 0x40c70f0a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf5167cb3, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x415eddf5, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6A6DB62780517605463CB48");
MODULE_INFO(rhelversion, "9.6");
