#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x4d34efbf, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x17e3b031, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x4d572202, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44322e09, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8dd37f65, "sock_queue_rcv_skb_reason" },
	{ 0xd0b7e9db, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x158ff4b2, "bpf_trace_run4" },
	{ 0x7bc48f6d, "skb_copy_bits" },
	{ 0xca0485aa, "radix_tree_insert" },
	{ 0xaf2eb1b6, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5abd116, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8addd0dc, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x86916f7f, "radix_tree_lookup" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x3108c433, "trace_event_printf" },
	{ 0xc4cb53c2, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x84067d58, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x6e27ba6e, "event_triggers_call" },
	{ 0xcb676cb, "__wake_up" },
	{ 0xa2695a72, "__module_get" },
	{ 0xe7db72ad, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xafefcfdf, "sk_error_report" },
	{ 0xcae166dc, "skb_queue_purge_reason" },
	{ 0x552c315f, "radix_tree_iter_delete" },
	{ 0x2b26625b, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x1e40ea84, "proto_unregister" },
	{ 0x66d2a32c, "sock_register" },
	{ 0x94435234, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3bd93ad5, "trace_event_ignore_this_pid" },
	{ 0x89e03224, "__alloc_skb" },
	{ 0x8a5dacf7, "rt_write_unlock" },
	{ 0x7d393b56, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7d992d24, "module_put" },
	{ 0xf7866eaa, "__xa_alloc" },
	{ 0xcf7080f7, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc2e50066, "perf_trace_run_bpf_submit" },
	{ 0xe344df54, "__traceiter_sk_data_ready" },
	{ 0x68c10147, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2c7c1a8, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x715b1ea4, "xa_load" },
	{ 0x4f21bda0, "kernel_getsockname" },
	{ 0x23cb47f8, "do_wait_intr_irq" },
	{ 0x709001e7, "sk_free" },
	{ 0xf6bbc296, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x773e907b, "skb_push" },
	{ 0xe115d070, "sock_no_listen" },
	{ 0x29142c07, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xba6d7dba, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5d6102cb, "skb_copy_datagram_iter" },
	{ 0x226ad26a, "sk_alloc" },
	{ 0x562b20d0, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x6a96da04, "sock_no_mmap" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0xfaddb7de, "sock_no_sendpage" },
	{ 0xdfca7fae, "__netdev_alloc_skb" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x44742aef, "__xa_insert" },
	{ 0xa4fae38, "xa_erase" },
	{ 0x14735ee, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x1d8ab448, "skb_set_owner_w" },
	{ 0x32ec5959, "trace_event_buffer_reserve" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xb697d9f6, "sock_create_kern" },
	{ 0x6e017008, "xa_find" },
	{ 0x4107968e, "skb_recv_datagram" },
	{ 0x4c2c9bdf, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x66e597e0, "xa_store" },
	{ 0x5e634f52, "skb_clone" },
	{ 0x516cd4f3, "rt_write_lock" },
	{ 0x2c99eda4, "_copy_from_iter" },
	{ 0x5b9113e0, "sock_release" },
	{ 0xe90fa179, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1e04b765, "xa_find_after" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa6508ccb, "iov_iter_revert" },
	{ 0x723a6f53, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x35a1d776, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xc070cbc2, "release_sock" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6D685FCA11B50D9F3AB646");
MODULE_INFO(rhelversion, "9.6");
