#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x0de187a8, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xaccbd66b, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xaff0edfc, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x72be1f56, "");
SYMBOL_CRC(gss_mech_put, 0x72714c06, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x9edc3a17, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xddbd78b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x409ff5f0, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd4b11d0b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe02a71a8, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x71b2f35f, "xdr_buf_from_iov" },
	{ 0x158ff4b2, "bpf_trace_run4" },
	{ 0xc65a91c7, "xdr_stream_decode_opaque_auth" },
	{ 0xbd1d8b59, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x214b222, "xdr_write_pages" },
	{ 0x64bc46cb, "rpc_shutdown_client" },
	{ 0x9b8f4ee1, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x99cb5da6, "xdr_inline_decode" },
	{ 0xebee2e08, "cache_create_net" },
	{ 0x1801deb8, "rpcauth_destroy_credcache" },
	{ 0x8addd0dc, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xa9dedecb, "bpf_trace_run6" },
	{ 0x1fff89f4, "rpc_net_ns" },
	{ 0xf60619c0, "read_bytes_from_xdr_buf" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0xfb9a5632, "rpc_wake_up" },
	{ 0x3108c433, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x50db6de9, "sunrpc_cache_lookup_rcu" },
	{ 0xa0196825, "prepare_to_wait" },
	{ 0x84067d58, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xd5549717, "__put_devmap_managed_page_refs" },
	{ 0x57f1277f, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xad946aef, "bpf_trace_run2" },
	{ 0xd717f8a5, "prepare_to_wait_event" },
	{ 0x65d079ab, "xdr_truncate_decode" },
	{ 0x342ca324, "rpcauth_unregister" },
	{ 0x6e27ba6e, "event_triggers_call" },
	{ 0xcb676cb, "__wake_up" },
	{ 0x8427978b, "__xdr_commit_encode" },
	{ 0xa2695a72, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb29a1c4, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xa0ccdaac, "__put_cred" },
	{ 0xf04638de, "register_pernet_subsys" },
	{ 0x2b26625b, "trace_event_buffer_commit" },
	{ 0xf0ba340, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x61669198, "rpc_release_client" },
	{ 0x95df92de, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3380ff40, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3f115050, "svc_auth_register" },
	{ 0xe76f1677, "xdr_stream_encode_opaque_auth" },
	{ 0x3bd93ad5, "trace_event_ignore_this_pid" },
	{ 0x35fdae94, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xa25c73b2, "rpc_destroy_pipe_data" },
	{ 0x86032219, "__free_pages" },
	{ 0xc26411bd, "rpc_pipe_generic_upcall" },
	{ 0x7d992d24, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xc1e17fbf, "cache_unregister_net" },
	{ 0xb42569f0, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc2e50066, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x496f3fda, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x3f720e46, "rpcauth_init_credcache" },
	{ 0xe9c58c37, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x6a8712c7, "xdr_init_decode" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x29142c07, "trace_event_reg" },
	{ 0x264ff7a, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb15cb01, "rpc_sleep_on_timeout" },
	{ 0xc871ef40, "rpc_create" },
	{ 0x1dd2c7bf, "bpf_trace_run1" },
	{ 0x924e846c, "rpc_call_sync" },
	{ 0x3caba91, "from_kuid" },
	{ 0x8916a2ff, "unregister_pernet_subsys" },
	{ 0xcb7748a1, "rpc_queue_upcall" },
	{ 0x3185b3df, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xddd21ffb, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x40553eb9, "svcauth_unix_set_client" },
	{ 0xd6f23ed0, "xdr_buf_subsegment" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x3493490e, "make_kgid" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xfb767ab8, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0xa3d9bc11, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x723e5fbd, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x14735ee, "bpf_trace_run3" },
	{ 0xfc66166f, "__put_net" },
	{ 0xc938fbc0, "rpc_mkpipe_dentry" },
	{ 0x2668a95a, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xaeaaa84, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x32ec5959, "trace_event_buffer_reserve" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xc02e7edb, "cache_register_net" },
	{ 0x8d3d7d9a, "init_user_ns" },
	{ 0x78419ba, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x513d0366, "xdr_inline_pages" },
	{ 0xb7dd295f, "__folio_put" },
	{ 0xb5bd150, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x8a9a3562, "rpc_init_wait_queue" },
	{ 0x45407a1c, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe08675aa, "rpc_unlink" },
	{ 0xa850d7f9, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x5bb13559, "from_kuid_munged" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x5d3944cd, "rpcauth_init_cred" },
	{ 0xb65b66cb, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x41bcfb8f, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe8794a3c, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x94d6bb87, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x869ca5e8, "sunrpc_cache_update" },
	{ 0x2550697f, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3e44d130, "rpc_destroy_wait_queue" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x549bad3, "auth_domain_put" },
	{ 0x8186d3a3, "rpcauth_unwrap_resp_decode" },
	{ 0xa6bce7f5, "rpcauth_register" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
