#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_use_lock_sync_helper, "", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_lock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_set_queue_tempo, "", "");
KSYMTAB_FUNC(snd_seq_create_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_delete_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_enqueue, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_dispatch, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_ctl, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_write_poll, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_get, "_gpl", "");
KSYMTAB_FUNC(snd_seq_kernel_client_put, "_gpl", "");
KSYMTAB_FUNC(snd_seq_dump_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event_at, "_gpl", "");
KSYMTAB_FUNC(snd_seq_system_broadcast, "_gpl", "");
KSYMTAB_FUNC(snd_seq_event_port_attach, "", "");
KSYMTAB_FUNC(snd_seq_event_port_detach, "", "");

SYMBOL_CRC(snd_use_lock_sync_helper, 0x3061c52d, "");
SYMBOL_CRC(snd_seq_client_ioctl_lock, 0xe50413d7, "_gpl");
SYMBOL_CRC(snd_seq_client_ioctl_unlock, 0xadb51cff, "_gpl");
SYMBOL_CRC(snd_seq_set_queue_tempo, 0xb8e448a0, "");
SYMBOL_CRC(snd_seq_create_kernel_client, 0xd5b18d3c, "");
SYMBOL_CRC(snd_seq_delete_kernel_client, 0x6bb71038, "");
SYMBOL_CRC(snd_seq_kernel_client_enqueue, 0xd90b07e5, "");
SYMBOL_CRC(snd_seq_kernel_client_dispatch, 0x85cd59a8, "");
SYMBOL_CRC(snd_seq_kernel_client_ctl, 0x1a724fcc, "");
SYMBOL_CRC(snd_seq_kernel_client_write_poll, 0x13f3cd16, "");
SYMBOL_CRC(snd_seq_kernel_client_get, 0xc266cc0e, "_gpl");
SYMBOL_CRC(snd_seq_kernel_client_put, 0x90d583ba, "_gpl");
SYMBOL_CRC(snd_seq_dump_var_event, 0x23738926, "");
SYMBOL_CRC(snd_seq_expand_var_event, 0xa6e19f8e, "");
SYMBOL_CRC(snd_seq_expand_var_event_at, 0xf0c8f9fa, "_gpl");
SYMBOL_CRC(snd_seq_system_broadcast, 0xcbf9166f, "_gpl");
SYMBOL_CRC(snd_seq_event_port_attach, 0x1723c1f4, "");
SYMBOL_CRC(snd_seq_event_port_detach, 0x7b8699eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4b11d0b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x284cc050, "__init_rwsem" },
	{ 0x6fa0425a, "snd_info_register" },
	{ 0x72b93bca, "snd_info_create_module_entry" },
	{ 0x370a0736, "snd_seq_autoload_init" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x1a2915c8, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a3ea5c0, "snd_request_card" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x882fb149, "param_array_ops" },
	{ 0x9a2a8695, "snd_info_free_entry" },
	{ 0xd38d4a39, "snd_seq_root" },
	{ 0x6027158c, "snd_timer_close" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb84ef1d9, "add_wait_queue" },
	{ 0xcb676cb, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xa4082798, "snd_timer_open" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x48a5cf30, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a5dacf7, "rt_write_unlock" },
	{ 0x3f59d011, "snd_timer_start" },
	{ 0x7d992d24, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xedaf9b1a, "down_write" },
	{ 0x58b2315a, "up_write" },
	{ 0x71dca874, "snd_timer_resolution" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xf1e13aaa, "snd_timer_pause" },
	{ 0x5a921311, "strncmp" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x1a9509b0, "snd_unregister_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x30aa459a, "snd_device_alloc" },
	{ 0x8af61439, "snd_timer_instance_new" },
	{ 0xdcb764ad, "memset" },
	{ 0x91def1c, "snd_seq_autoload_exit" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0xd53d8f98, "snd_timer_instance_free" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xb49448d1, "down_read" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85d73dc5, "rt_read_lock" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xda97b3e5, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x99594c72, "seq_printf" },
	{ 0x6339b6d0, "snd_seq_device_load_drivers" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x516cd4f3, "rt_write_lock" },
	{ 0xeb92f9b, "remove_wait_queue" },
	{ 0xa8ae3a00, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x473228c4, "pid_vnr" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x6cb8a462, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3e043ee5, "snd_register_device" },
	{ 0x79f1396c, "up_read" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x2452b4de, "put_pid" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device,snd-timer");


MODULE_INFO(srcversion, "B683DD27576FE47E09D069A");
MODULE_INFO(rhelversion, "9.6");
