#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f34dc3b, "crypto_skcipher_encrypt" },
	{ 0x43b05e82, "crypto_alloc_ahash" },
	{ 0xad698548, "devm_platform_ioremap_resource" },
	{ 0xbd1d8b59, "param_ops_uint" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0x518083f5, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x89045242, "crypto_register_aead" },
	{ 0xccb72cc6, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d7f5c3f, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x160539e7, "crypto_alloc_aead" },
	{ 0xc9ac0ac1, "crypto_aead_setauthsize" },
	{ 0xe5860dae, "crypto_aead_decrypt" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xd859c76d, "crypto_skcipher_setkey" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xe2a88bd1, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3844c0cf, "crypto_unregister_ahash" },
	{ 0x73b5725c, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe50f5c29, "crypto_skcipher_decrypt" },
	{ 0x2c619aa, "crypto_enqueue_request" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xcf68a901, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbe6a1fc7, "crypto_register_skcipher" },
	{ 0x353317f2, "_dev_err" },
	{ 0x1b364613, "crypto_req_done" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x798a5237, "crypto_aead_encrypt" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x47f2bb26, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x30afef37, "crypto_unregister_skcipher" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x28376f1a, "crypto_ahash_digest" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x3d87645c, "__platform_driver_register" },
	{ 0x675b1de0, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x72faa7ff, "dma_request_chan" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfd3a02de, "dma_set_mask" },
	{ 0xd9eda21c, "crypto_dequeue_request" },
	{ 0x7c61eddc, "dma_unmap_sg_attrs" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x815588a6, "clk_enable" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x619a928a, "dma_map_sg_attrs" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x838ca2b7, "crypto_alloc_skcipher" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "libdes");

MODULE_ALIAS("of:N*T*Cqcom,crypto-v5.1");
MODULE_ALIAS("of:N*T*Cqcom,crypto-v5.1C*");
MODULE_ALIAS("of:N*T*Cqcom,crypto-v5.4");
MODULE_ALIAS("of:N*T*Cqcom,crypto-v5.4C*");

MODULE_INFO(srcversion, "4654CA74A2D451460BB05BB");
MODULE_INFO(rhelversion, "9.6");
