#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x1328a96e, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xbcd6edb2, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x6a853f0c, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xa87f0cbf, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xc6df9dbb, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xdd567ccf, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xa121b4ba, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x6055b5bd, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xa7873e66, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xf0ac4509, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xd989f84e, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x034343bc, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xe8f6b77a, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x6e5e837e, "_gpl");
SYMBOL_CRC(put_cxl_root, 0xc5768c0c, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xf147a854, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xd9e88890, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x11780e16, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x40763a66, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x8b7b4f75, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x888ca9cc, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x3d5c2bb3, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xa9c19ba5, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x1a5ec7df, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x0227546c, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x85fa7529, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x1d53eb80, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x240a2717, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x9cc1d17f, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xa1cabe40, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x86d01869, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x5b3118cf, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x4aad1ade, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xe12668f4, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x53b67e76, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x34072cb6, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x93b653e5, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x9e531bd0, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x43728018, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x0e9b2a1e, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x35751071, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x1fe0bf41, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xbd691381, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xba5f1b6b, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x96be259f, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xdf594c05, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x00116566, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xce373b37, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x0a838159, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x3a328353, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xe4f3125f, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x0be6dfeb, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x0f068e58, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xd4ba6acd, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xbfcc3f94, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x463ba6da, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x80677934, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x29d73d95, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xbdbebf3e, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xb5c4ba49, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x4d5eabc6, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xdc828a8b, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x8c04ca32, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x3959cbd2, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x056b725e, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x06ace107, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x1c8d4390, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x0e54fd38, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xb1106a95, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xaf68a54e, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x7eafddce, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xd07d90c5, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x9fc31262, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x2499b7ae, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xc5d9accd, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xfe149106, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xb3a6cc02, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x3dbcffc3, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xa79c9711, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xd2a80355, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xe0f8c72e, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x213acdcf, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x78db66ee, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x0d6b1ced, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xf980d4ee, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x5f44736d, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x33653479, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x69eef091, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x0b8abaee, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x93f8839a, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x0734fbc9, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x249560f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc13388ed, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x28132ba1, "ida_alloc_range" },
	{ 0x81096e53, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x59680c46, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x158ff4b2, "bpf_trace_run4" },
	{ 0x90c62ec7, "debugfs_attr_write" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1a2915c8, "dev_set_name" },
	{ 0xe5da7170, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8addd0dc, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7d895179, "cdev_device_del" },
	{ 0xa9dedecb, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x445334d7, "device_unregister" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3108c433, "trace_event_printf" },
	{ 0x7ae52512, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xf868d9ec, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x84067d58, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x13feea0c, "seq_lseek" },
	{ 0x5f544a42, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad946aef, "bpf_trace_run2" },
	{ 0x6e27ba6e, "event_triggers_call" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0xdcad65bc, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0xd93baea4, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfa38091d, "platform_bus" },
	{ 0x693c43b4, "dev_driver_string" },
	{ 0x2b26625b, "trace_event_buffer_commit" },
	{ 0xd57be349, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x1fb1bd70, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xaf6a85c5, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x48a5cf30, "put_device" },
	{ 0x3bd93ad5, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0x330fb1f6, "bus_for_each_dev" },
	{ 0x9a7d322a, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8a0bcbb0, "debugfs_attr_read" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc2e50066, "perf_trace_run_bpf_submit" },
	{ 0xa0e7fa76, "sysfs_update_group" },
	{ 0x8c8aa9a8, "bus_unregister" },
	{ 0xedaf9b1a, "down_write" },
	{ 0xcfe5dba1, "devm_kfree" },
	{ 0x353317f2, "_dev_err" },
	{ 0x58b2315a, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x1a440a7b, "debugfs_create_bool" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb47bb79, "bus_find_device" },
	{ 0xe4c29a3a, "device_add" },
	{ 0x8618429e, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x76600e80, "simple_attr_release" },
	{ 0x715b1ea4, "xa_load" },
	{ 0xb21ea8cf, "noop_llseek" },
	{ 0x3164be21, "bpf_trace_run5" },
	{ 0xccd4001d, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x654588b, "kernfs_find_and_get_ns" },
	{ 0xe32e652a, "debugfs_remove" },
	{ 0x81704604, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x29142c07, "trace_event_reg" },
	{ 0x25f51d80, "ida_free" },
	{ 0xd733ee6a, "driver_unregister" },
	{ 0x81f737dc, "pcie_link_speed_mbps" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x68cc09a8, "device_find_child" },
	{ 0x52f19a76, "mutex_lock_interruptible" },
	{ 0x4b0e396a, "devm_release_action" },
	{ 0xd14fed22, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6f43358c, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xdaab0864, "device_for_each_child_reverse_from" },
	{ 0x19faff0d, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb49448d1, "down_read" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x44742aef, "__xa_insert" },
	{ 0xa4fae38, "xa_erase" },
	{ 0x14735ee, "bpf_trace_run3" },
	{ 0xa726c750, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xee9945f8, "debugfs_create_file" },
	{ 0x4f3e1ec4, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x32ec5959, "trace_event_buffer_reserve" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x998de30b, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x84bb6d83, "einj_cxl_available_error_type_show" },
	{ 0xa0299f8c, "xa_destroy" },
	{ 0x6e017008, "xa_find" },
	{ 0xc89b5ef1, "kernfs_put" },
	{ 0x6122658c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x99594c72, "seq_printf" },
	{ 0xa131308f, "device_match_name" },
	{ 0x9aa9dd80, "einj_cxl_inject_error" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc9ab0114, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfc42fbd5, "pci_walk_bus" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x1e04b765, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0xcef11ba5, "__devm_add_action" },
	{ 0xbc8275f9, "pci_find_dvsec_capability" },
	{ 0xa3c6bb2a, "device_find_child_by_name" },
	{ 0xcb063ac6, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf0c41377, "single_open" },
	{ 0x257ae7c4, "pci_write_config_word" },
	{ 0x646078b1, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x8aa1ef0e, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x79f1396c, "up_read" },
	{ 0x166fc9fb, "driver_register" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5e47eb19, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x45126ca, "pci_bus_type" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x97f09918, "bus_register" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "4FE4ADD3194255382413754");
MODULE_INFO(rhelversion, "9.6");
