#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x05ccd5a1, "");
SYMBOL_CRC(drm_gem_vram_put, 0x46d00621, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x62df9345, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x35b1df7f, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x3a60328b, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x903b5fe3, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x0c0f5bb9, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xb4b354c0, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xb4ea16df, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xc5806b80, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x1cf57ac1, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x48416a0e, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x24808cd9, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x7107ee65, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x5050c7fc, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x5cf59222, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a78a258, "ttm_range_man_init_nocheck" },
	{ 0xe7ae8533, "ww_mutex_lock_interruptible" },
	{ 0xa81f596e, "ttm_resource_manager_debug" },
	{ 0x4b392083, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x530f4f58, "ttm_range_man_fini_nocheck" },
	{ 0x648ed82, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xa13562c4, "ttm_bo_pin" },
	{ 0x693c43b4, "dev_driver_string" },
	{ 0x83a5f4d7, "drm_gem_ttm_mmap" },
	{ 0x8fda87ae, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4e9c9a32, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x357dd2d8, "drm_gem_object_release" },
	{ 0x8473f8a7, "ttm_tt_init" },
	{ 0xe4bc51e4, "drm_gem_handle_create" },
	{ 0xf8c0844c, "drm_gem_fb_get_obj" },
	{ 0x9036afd9, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0xa6ffbbf9, "drm_debugfs_add_files" },
	{ 0xe8d398ad, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca7a2d77, "ttm_device_init" },
	{ 0xaa472faa, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x325e4dce, "ttm_bo_move_to_lru_tail" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x518a72dc, "ttm_bo_vmap" },
	{ 0x269fe739, "ttm_bo_put" },
	{ 0xb050c9d6, "ttm_resource_free" },
	{ 0xbbf88f90, "ttm_bo_move_memcpy" },
	{ 0x9aa78e39, "ttm_tt_fini" },
	{ 0xb243bd92, "ttm_device_fini" },
	{ 0x83116411, "drm_gem_plane_helper_prepare_fb" },
	{ 0x22b905f7, "ttm_bo_eviction_valuable" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x79f5043f, "drm_gem_ttm_print_info" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.6");
