#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0x651da566, "");
SYMBOL_CRC(host1x_device_exit, 0x4a2102bd, "");
SYMBOL_CRC(host1x_driver_register_full, 0x00b48c80, "");
SYMBOL_CRC(host1x_driver_unregister, 0x6f689beb, "");
SYMBOL_CRC(__host1x_client_init, 0xbc0e15f5, "");
SYMBOL_CRC(host1x_client_exit, 0xd26290d8, "");
SYMBOL_CRC(__host1x_client_register, 0xa7196a19, "");
SYMBOL_CRC(host1x_client_unregister, 0xd48caf4c, "");
SYMBOL_CRC(host1x_client_suspend, 0x90586bc1, "");
SYMBOL_CRC(host1x_client_resume, 0x20faba41, "");
SYMBOL_CRC(host1x_bo_pin, 0x41d10f46, "");
SYMBOL_CRC(host1x_bo_unpin, 0x373025f7, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x526d0dd4, "");
SYMBOL_CRC(host1x_syncpt_id, 0xcc3e73a8, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x3abd6866, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x4d65a3d9, "");
SYMBOL_CRC(host1x_syncpt_wait, 0x330284e0, "");
SYMBOL_CRC(host1x_syncpt_request, 0xab6fa4f3, "");
SYMBOL_CRC(host1x_syncpt_put, 0xa47c1af1, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0xc234274f, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0xdda072ff, "");
SYMBOL_CRC(host1x_syncpt_read, 0x1237e3e2, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x124b44da, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0x74c1a65e, "");
SYMBOL_CRC(host1x_syncpt_get, 0x91edd978, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0x0de3dc8f, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0x75805e56, "");
SYMBOL_CRC(host1x_get_dma_mask, 0xc24b3ed0, "");
SYMBOL_CRC(host1x_job_submit, 0x237ec886, "");
SYMBOL_CRC(host1x_channel_get, 0xc7a68a36, "");
SYMBOL_CRC(host1x_channel_stop, 0x8e50375e, "");
SYMBOL_CRC(host1x_channel_put, 0x6a87e0a7, "");
SYMBOL_CRC(host1x_channel_request, 0x1b9877c2, "");
SYMBOL_CRC(host1x_job_alloc, 0x1f09d854, "");
SYMBOL_CRC(host1x_job_get, 0x14923eff, "");
SYMBOL_CRC(host1x_job_put, 0xbe490ac1, "");
SYMBOL_CRC(host1x_job_add_gather, 0x515524e8, "");
SYMBOL_CRC(host1x_job_add_wait, 0x7748e798, "");
SYMBOL_CRC(host1x_job_pin, 0x50ada313, "");
SYMBOL_CRC(host1x_job_unpin, 0xd67bc03a, "");
SYMBOL_CRC(tegra_mipi_request, 0x530ab53f, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x2bea2462, "");
SYMBOL_CRC(host1x_fence_cancel, 0xf34c6ce9, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0xff54cbfe, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0x76fb18e5, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0xfb383038, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17fbfab5, "iommu_map_sg" },
	{ 0x6e2ea991, "platform_device_put" },
	{ 0x8c333057, "dma_fence_signal_locked" },
	{ 0xad698548, "devm_platform_ioremap_resource" },
	{ 0x1a1596e7, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x75ec7f0e, "devm_request_threaded_irq" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x42533356, "devm_platform_get_and_ioremap_resource" },
	{ 0x1a2915c8, "dev_set_name" },
	{ 0xe04cb6d0, "of_find_device_by_node" },
	{ 0x18d9ec8, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8addd0dc, "trace_raw_output_prep" },
	{ 0x505be64b, "iommu_group_get" },
	{ 0x445334d7, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x3108c433, "trace_event_printf" },
	{ 0xd7bfaf17, "free_iova" },
	{ 0x50a3a8b2, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xf868d9ec, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x84067d58, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x40c4bf3f, "pm_generic_poweroff" },
	{ 0x13feea0c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad946aef, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x6e27ba6e, "event_triggers_call" },
	{ 0x1e837000, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xe2a88bd1, "devm_clk_get" },
	{ 0xa28abbd4, "dma_fence_wait_timeout" },
	{ 0xc323e181, "__free_iova" },
	{ 0x2b26625b, "trace_event_buffer_commit" },
	{ 0x9e73ca75, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x21a78405, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x9afa8f8, "iommu_detach_group" },
	{ 0xf3b23352, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x48a5cf30, "put_device" },
	{ 0x3bd93ad5, "trace_event_ignore_this_pid" },
	{ 0x4d88edeb, "pm_runtime_enable" },
	{ 0x2c0f67be, "alloc_iova" },
	{ 0xeeea44a7, "devm_tegra_core_dev_init_opp_table" },
	{ 0xae1aceb0, "platform_get_irq_byname_optional" },
	{ 0xc59022fd, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0xdeb1c1bb, "pm_generic_suspend" },
	{ 0x4f97a23, "iommu_get_domain_for_dev" },
	{ 0xede6563c, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa25105e9, "put_iova_domain" },
	{ 0xc2e50066, "perf_trace_run_bpf_submit" },
	{ 0x8c8aa9a8, "bus_unregister" },
	{ 0x353317f2, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0xa37b3552, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xe4c29a3a, "device_add" },
	{ 0xaaa5b586, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x8b76b9e, "iommu_domain_alloc" },
	{ 0xe6c6f19e, "iommu_unmap" },
	{ 0x37fd18b7, "dma_fence_signal" },
	{ 0x3164be21, "bpf_trace_run5" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x6238976a, "dma_alloc_attrs" },
	{ 0xe32e652a, "debugfs_remove" },
	{ 0x29142c07, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x4ca57845, "of_property_count_elems_of_size" },
	{ 0xd733ee6a, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x56d2d203, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x964cd233, "of_device_is_available" },
	{ 0x967e4bda, "dma_fence_init" },
	{ 0x52f19a76, "mutex_lock_interruptible" },
	{ 0xe8202f36, "host1x_context_device_bus_type" },
	{ 0x1dd2c7bf, "bpf_trace_run1" },
	{ 0xd14fed22, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8d1025d1, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x212f9127, "debugfs_create_u32" },
	{ 0x9244e99c, "devm_platform_ioremap_resource_byname" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x675b1de0, "dma_set_coherent_mask" },
	{ 0x14735ee, "bpf_trace_run3" },
	{ 0xa726c750, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xee9945f8, "debugfs_create_file" },
	{ 0xf030e8a8, "dma_free_attrs" },
	{ 0x32ec5959, "trace_event_buffer_reserve" },
	{ 0x42e6ceb9, "__pm_runtime_resume" },
	{ 0xc3990fc7, "init_iova_domain" },
	{ 0xe750cdf9, "__devm_reset_control_bulk_get" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4b545585, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf0eb4e82, "seq_write" },
	{ 0x6122658c, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x99594c72, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x4de83f96, "iommu_map" },
	{ 0xc9ab0114, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfd3a02de, "dma_set_mask" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x977f6778, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x62ae0627, "iommu_attach_group" },
	{ 0xf0c41377, "single_open" },
	{ 0x7d077ff0, "of_device_get_match_data" },
	{ 0x5c743f1e, "pm_generic_restore" },
	{ 0x8b68b075, "__pm_runtime_disable" },
	{ 0x646078b1, "debugfs_create_dir" },
	{ 0xa99b067f, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x335e2091, "platform_unregister_drivers" },
	{ 0xa7dce961, "pm_runtime_force_suspend" },
	{ 0x166fc9fb, "driver_register" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x2452b4de, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xc7ada402, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x97f09918, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D0E359044FCD4E486F4089A");
MODULE_INFO(rhelversion, "9.6");
