#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x2177e581, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x2f570549, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x4655d155, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x1aa49fdd, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xb6761a79, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xd6954364, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x22afab3d, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x4a915fd7, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xd6a4f882, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x73f9a634, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x2b6bbb94, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xc90e1d81, "_gpl");
SYMBOL_CRC(dm_get_md, 0x225ad51d, "_gpl");
SYMBOL_CRC(dm_hold, 0xa9de567a, "_gpl");
SYMBOL_CRC(dm_device_name, 0x62428c88, "_gpl");
SYMBOL_CRC(dm_put, 0xfcd0ae8c, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xbfd71268, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x656abbda, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xae3d5337, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xcd999fd3, "_gpl");
SYMBOL_CRC(dm_disk, 0x088e4d71, "_gpl");
SYMBOL_CRC(dm_suspended, 0x7583211d, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x4d38bb9a, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xd5033512, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xba1708ab, "");
SYMBOL_CRC(dm_put_device, 0xe4fd9f4d, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xa2f51a7f, "_gpl");
SYMBOL_CRC(dm_table_event, 0x5036610a, "");
SYMBOL_CRC(dm_table_get_size, 0x60491695, "");
SYMBOL_CRC(dm_table_get_mode, 0x2005b453, "");
SYMBOL_CRC(dm_table_get_md, 0x8381c77c, "");
SYMBOL_CRC(dm_table_device_name, 0x483f385f, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xe1ea4d3b, "");
SYMBOL_CRC(dm_register_target, 0xb30e1086, "");
SYMBOL_CRC(dm_unregister_target, 0xdfe46def, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x4d57f4b4, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x833fbb62, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x040e9531, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x43850788, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xf64ed83b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ba54b74, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x89fe6637, "set_disk_ro" },
	{ 0xe1830d81, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd4b11d0b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x284cc050, "__init_rwsem" },
	{ 0x7e7a5752, "misc_deregister" },
	{ 0xb4ea0f1d, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5e11de6c, "idr_find" },
	{ 0xbd1d8b59, "param_ops_uint" },
	{ 0x25b32cef, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa8eb423d, "bio_split_to_limits" },
	{ 0x18bf1572, "vmalloc_to_page" },
	{ 0x8341241f, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc62ed5b5, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x2976208f, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2defd9bf, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x885f4ad2, "idr_replace" },
	{ 0x29b9cad0, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x7c23dd96, "mempool_init" },
	{ 0x78504586, "blk_rq_prep_clone" },
	{ 0xc88111a8, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xa0196825, "prepare_to_wait" },
	{ 0x1ba90260, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf7b4fae, "__traceiter_block_bio_remap" },
	{ 0xef85b59, "freeze_bdev" },
	{ 0xb049b9, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd717f8a5, "prepare_to_wait_event" },
	{ 0x802616f0, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xcb676cb, "__wake_up" },
	{ 0xf687acf8, "synchronize_srcu" },
	{ 0x594d9fa0, "kmem_cache_create" },
	{ 0xd5f9f422, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4aa1d80, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x91f133d, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x68c46a3c, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x19290471, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x73b5725c, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x74073bff, "__traceiter_block_split" },
	{ 0x75445f06, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x94c71f7b, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x38f21cd8, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x309b79b1, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x4b127be1, "kmalloc_node_trace" },
	{ 0x41324ac6, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x86032219, "__free_pages" },
	{ 0xdf2f52f7, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x99dd5029, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcd8b1f28, "submit_bio" },
	{ 0x342efbed, "dax_add_host" },
	{ 0x7d992d24, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2dfd9446, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x83989d3b, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0xb6a9b03b, "idr_remove" },
	{ 0x52d8cb4d, "kobject_uevent_env" },
	{ 0xa7cbf726, "bio_put" },
	{ 0xd5ce2810, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x321ffbb5, "init_srcu_struct" },
	{ 0xc3b7d97e, "fput" },
	{ 0xedaf9b1a, "down_write" },
	{ 0x6cb970e0, "blk_revalidate_disk_zones" },
	{ 0x58b2315a, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xaac7de5f, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xc10ecd0c, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x2c263c2e, "__srcu_read_lock" },
	{ 0x79db3a58, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x375839bf, "thaw_bdev" },
	{ 0x5b9c8589, "set_capacity" },
	{ 0x10c6dcb2, "submit_bio_noacct" },
	{ 0xb21ea8cf, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xa0c7824c, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x11f89b39, "kmem_cache_free" },
	{ 0xe68cd9c3, "dax_remove_host" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x3c066b66, "bio_chain" },
	{ 0x2b0757ef, "dax_recovery_write" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0xe7a74303, "kobject_init_and_add" },
	{ 0x144513e9, "zero_fill_bio_iter" },
	{ 0xdb5759b2, "bio_add_page" },
	{ 0xbde92228, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe22d6ebd, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf83880cb, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x56914975, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7876ee1a, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x5f4359ba, "idr_destroy" },
	{ 0x90888ee8, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xa52eb3b5, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xd5f6febe, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe72a4f02, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x10c218eb, "blk_insert_cloned_request" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xb49448d1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xca732775, "audit_log_start" },
	{ 0x723e5fbd, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x96492805, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe8ddfce, "bio_uninit" },
	{ 0xee2d13ad, "crypto_shash_final" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc96f6d79, "param_ops_bool" },
	{ 0xd06f35d2, "bioset_init" },
	{ 0x10189511, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x78419ba, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0a962b0, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x72fc134b, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0xee3399b3, "bd_link_disk_holder" },
	{ 0x769ac12d, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0x4de2b312, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1567c37c, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8e741c12, "blk_zone_plug_bio" },
	{ 0x6cb8a462, "param_ops_int" },
	{ 0x5224b7d9, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x9a5f6e10, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x4d135c8b, "queue_limits_set" },
	{ 0x7494c08, "bio_alloc_bioset" },
	{ 0x79f1396c, "up_read" },
	{ 0x50d2d599, "blk_mq_requeue_request" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2128c4c, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xce6a48d6, "bdev_end_io_acct" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x4791505b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x40c70f0a, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf5167cb3, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4412AA748ECC0BA22C5EF54");
MODULE_INFO(rhelversion, "9.6");
