#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0xc2855b3a, "");
SYMBOL_CRC(dm_snap_cow, 0x78a59b9e, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xebf7477f, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0xa193e032, "");
SYMBOL_CRC(dm_exception_store_create, 0xffff57da, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x5e82de59, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ba54b74, "bio_associate_blkg" },
	{ 0xcd999fd3, "dm_internal_resume_fast" },
	{ 0xd4b11d0b, "try_module_get" },
	{ 0x284cc050, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbd1d8b59, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd6954364, "dm_per_bio_data" },
	{ 0xe4fd9f4d, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0x60491695, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x7c23dd96, "mempool_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa9de567a, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd717f8a5, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xcb676cb, "__wake_up" },
	{ 0x594d9fa0, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4aa1d80, "mempool_free" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0x2b6bbb94, "dm_accept_partial_bio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x41324ac6, "mempool_alloc" },
	{ 0xdf2f52f7, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x7d992d24, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd5ce2810, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xedaf9b1a, "down_write" },
	{ 0x58b2315a, "up_write" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x28638252, "__wake_up_locked" },
	{ 0x7583211d, "dm_suspended" },
	{ 0x10c6dcb2, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x11f89b39, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x1566db6f, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xdfe46def, "dm_unregister_target" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x11089ac7, "_ctype" },
	{ 0x73f9a634, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43850788, "dm_kcopyd_zero" },
	{ 0xdcb764ad, "memset" },
	{ 0x5036610a, "dm_table_event" },
	{ 0xae3d5337, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xfcd0ae8c, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb49448d1, "down_read" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x40e9531, "dm_kcopyd_copy" },
	{ 0xb30e1086, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x2005b453, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x82b2a39d, "blkdev_issue_flush" },
	{ 0xeb92f9b, "remove_wait_queue" },
	{ 0x8381c77c, "dm_table_get_md" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x833fbb62, "dm_io" },
	{ 0xba1708ab, "dm_get_device" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x79f1396c, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0x4a915fd7, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x4791505b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x40c70f0a, "kmem_cache_destroy" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "E733703757C08D5A4B8DEBE");
MODULE_INFO(rhelversion, "9.6");
