#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x32362f30, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x14433ad7, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xc29548f3, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x423a630d, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x6d742622, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xa002ce8f, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x82255d5c, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0xcdca0f65, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x2561ee36, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x4dbb8c4e, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xb3ee51eb, "_gpl");
SYMBOL_CRC(nand_readid_op, 0xaf8f5d7c, "_gpl");
SYMBOL_CRC(nand_status_op, 0x65487926, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xbf2b4cb8, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x8597417a, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xb24d55d8, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x54c5c657, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xa80183cd, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xecab2242, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0xec300fc1, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xb93ec0d5, "");
SYMBOL_CRC(nand_read_oob_std, 0xaad60064, "");
SYMBOL_CRC(nand_write_oob_std, 0xe6d92ab3, "");
SYMBOL_CRC(nand_write_page_raw, 0x5f1797ba, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x6fdbc2f7, "");
SYMBOL_CRC(nand_decode_ext_id, 0xa390a514, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x01bad9d0, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x96e03393, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x3f749904, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xb938b5e1, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x8f3fc2b5, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x35cd9925, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x27ada580, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0xd977b6f4, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xaa26fd7d, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0xa770b107, "");
SYMBOL_CRC(nand_cleanup, 0xf8fd9512, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xa90ae471, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x8efe8bf7, "");
SYMBOL_CRC(nand_create_bbt, 0xe53f1a19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf41c94d2, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6f0a5a0d, "mtd_read_oob" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0xbe60679a, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xb86462e8, "gpiod_count" },
	{ 0xdbe3d9b9, "nanddev_cleanup" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x9789d5fd, "nand_get_large_page_hamming_ooblayout" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe1f4f836, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0xc25314b6, "gpiod_get_index_optional" },
	{ 0x2547e70, "nanddev_init" },
	{ 0x5382a080, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xaa786c15, "nand_ecc_is_strong_enough" },
	{ 0xc0fd47c7, "mtd_write_oob" },
	{ 0x3f5d72eb, "nand_get_small_page_ooblayout" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xa8d6dc7a, "of_get_nand_ecc_user_config" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x4ca57845, "of_property_count_elems_of_size" },
	{ 0x85b0572c, "of_property_read_string" },
	{ 0x443ed2ea, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x35b7284f, "mtd_read" },
	{ 0x1c6e3359, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xdcb764ad, "memset" },
	{ 0x4b82611, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcade8106, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x999e8297, "vfree" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaca6c54c, "mtd_ooblayout_find_eccregion" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf8eb97, "mtd_ooblayout_get_databytes" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xe21fafcb, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6699e0f9, "nanddev_mtd_max_bad_blocks" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0A7D5DDC1D5C2D35DE0E6E4");
MODULE_INFO(rhelversion, "9.6");
