#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x25be0f23, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xfff1065d, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x0a58f346, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xd90c324a, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xe9893268, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x7f5f40c6, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x0a70f543, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x5235bb39, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x1f9d8655, "_gpl");
SYMBOL_CRC(can_bus_off, 0x7a07e0f1, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x45ecc9ad, "_gpl");
SYMBOL_CRC(free_candev, 0x3b21b3e5, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x00f3be96, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xf718e5a5, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xe8230d78, "");
SYMBOL_CRC(open_candev, 0x57f100f7, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x6e1233d3, "_gpl");
SYMBOL_CRC(close_candev, 0x549f5876, "_gpl");
SYMBOL_CRC(register_candev, 0x9c07ba18, "_gpl");
SYMBOL_CRC(unregister_candev, 0x871bfbc4, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x3ef92ebd, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x3bfffae0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf2eb1b6, "skb_put" },
	{ 0x883d6516, "gpiod_set_value" },
	{ 0xfa66788c, "skb_tstamp_tx" },
	{ 0xbe60679a, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5abd116, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x32b6add7, "unregister_netdev" },
	{ 0x7880968a, "rtnl_link_register" },
	{ 0xd99e7d6a, "netdev_warn" },
	{ 0x483a865, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd0697670, "netdev_err" },
	{ 0xde4189e2, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf5328cea, "device_property_read_u32_array" },
	{ 0xc64c8e2c, "of_get_child_by_name" },
	{ 0x28d86a3a, "rtnl_link_unregister" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0x76b4e76b, "register_netdev" },
	{ 0xa438e0c0, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0x2b69d30e, "sock_efree" },
	{ 0x4c3ec1e6, "netif_rx" },
	{ 0xdfca7fae, "__netdev_alloc_skb" },
	{ 0x42654ea8, "skb_trim" },
	{ 0xe57b8e2, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa71cc059, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5e634f52, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xce8bdb71, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2eb277ce, "dev_err_probe" },
	{ 0x8c79a512, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xf3cc5d39, "skb_clone_tx_timestamp" },
	{ 0xcb324c2c, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
