#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xdc34f018, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x92d76b23, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x0a15d0c0, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x2dfcae7a, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xaa481c1a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefa381ce, "__do_once_done" },
	{ 0x1beded79, "ip6_route_input_lookup" },
	{ 0x28132ba1, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x8fc50d36, "dev_pre_changeaddr_notify" },
	{ 0x98476eae, "dev_mc_sync" },
	{ 0xf2a66d63, "ida_destroy" },
	{ 0x609550c3, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x64210a91, "netdev_update_features" },
	{ 0x5abd116, "consume_skb" },
	{ 0xf117549f, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0xa4cf3366, "dev_uc_sync" },
	{ 0x7880968a, "rtnl_link_register" },
	{ 0xe6ca0f92, "netif_inherit_tso_max" },
	{ 0x8ff02f8a, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbbf3044a, "ip_route_output_flow" },
	{ 0x720c12a0, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd9e61d11, "dev_uc_unsync" },
	{ 0x193fb118, "ether_setup" },
	{ 0xd0697670, "netdev_err" },
	{ 0x67eab195, "netdev_upper_dev_link" },
	{ 0xf04638de, "register_pernet_subsys" },
	{ 0xd0e070b5, "netdev_core_stats_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf7d8c897, "eth_header_parse" },
	{ 0xdc048c53, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d891e97, "eth_header_cache_update" },
	{ 0x8c29de2e, "nf_register_net_hooks" },
	{ 0x95ae0d74, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd1481e8, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2e632799, "__dev_get_by_index" },
	{ 0x28d86a3a, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc3cd7df8, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x24811523, "netif_stacked_transfer_operstate" },
	{ 0x845f5642, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x25f51d80, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x36d75f5, "ns_capable" },
	{ 0x106a80cf, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x685c7af0, "ethtool_op_get_link" },
	{ 0x77fa51f0, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x8916a2ff, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x357d7e60, "__pskb_pull_tail" },
	{ 0x4c3ec1e6, "netif_rx" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xaa7146de, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xe686251c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1a840fc5, "vlan_vid_add" },
	{ 0x3a33e7f1, "call_netdevice_notifiers" },
	{ 0xf9008838, "vlan_vid_del" },
	{ 0xf7d80798, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5e634f52, "skb_clone" },
	{ 0x1d2e326, "dst_release" },
	{ 0xa11893ac, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7e89bc44, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xcf1f5196, "dev_mc_unsync" },
	{ 0x2df229ea, "dev_change_flags" },
	{ 0xf1da839f, "dev_forward_skb" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x415eddf5, "register_netdevice" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DC426A50787DA41CE361D7B");
MODULE_INFO(rhelversion, "9.6");
