#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x471a04c0, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xb7dfc15f, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x98c5e02b, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xe77a9cc5, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x644b10c0, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x8c32ed48, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x1e73269a, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x3957deaf, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xdce3bc77, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x68c2ddb8, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x6d78a609, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xe092ed28, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x0cd4ef71, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xc53113ff, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xae4821a9, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xd058c6ff, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x243c6b12, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x0788b706, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x640198ae, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x8a0e4301, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xb2ad92c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73d4ce1c, "mdiobus_write" },
	{ 0x2f67e3e1, "mdiobus_read" },
	{ 0x4779284f, "phy_write_mmd" },
	{ 0x16bafa12, "phy_modify" },
	{ 0x9bf757b1, "phy_trigger_machine" },
	{ 0x6ddac686, "phy_error" },
	{ 0xa65eac96, "phy_modify_changed" },
	{ 0xb356e1b6, "genphy_update_link" },
	{ 0x6c92cf13, "genphy_read_lpa" },
	{ 0xe545b4a1, "phy_resolve_aneg_pause" },
	{ 0x78d4cc9d, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x353317f2, "_dev_err" },
	{ 0x10a821e4, "phy_read_mmd" },
	{ 0x18260415, "ethnl_cable_test_result_with_src" },
	{ 0x525f2c56, "ethnl_cable_test_fault_length_with_src" },
	{ 0xe4533e41, "phy_modify_mmd" },
	{ 0xe17d2d2c, "genphy_soft_reset" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
