#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x4e14cb64, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x7c87d7a1, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x6f2e97ae, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x3007adb0, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x6d1d1c21, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xbada8777, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x6e0f6620, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x60134325, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xdc4958ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcb676cb, "__wake_up" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc10ecd0c, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd0697670, "netdev_err" },
	{ 0xb6a9b03b, "idr_remove" },
	{ 0x5d6102cb, "skb_copy_datagram_iter" },
	{ 0x7e4efcb2, "_copy_to_iter" },
	{ 0xd141a2b1, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5abd116, "consume_skb" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xa0196825, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5e47eb19, "cdev_init" },
	{ 0xd7776377, "cdev_add" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe0ccf9d9, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f4359ba, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x773e907b, "skb_push" },
	{ 0x9ea4c2b0, "__skb_gso_segment" },
	{ 0xdd5889c1, "kfree_skb_list_reason" },
	{ 0x32cfdc00, "skb_checksum_help" },
	{ 0x987fca23, "__skb_get_hash_net" },
	{ 0x709001e7, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5e11de6c, "idr_find" },
	{ 0x226ad26a, "sk_alloc" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0xd8fb3eae, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x7330eb8b, "__skb_flow_dissect" },
	{ 0xad926d2f, "skb_partial_csum_set" },
	{ 0x357d7e60, "__pskb_pull_tail" },
	{ 0x1e216358, "iov_iter_npages" },
	{ 0x2c99eda4, "_copy_from_iter" },
	{ 0x4c2c9bdf, "sock_alloc_send_pskb" },
	{ 0xaf2eb1b6, "skb_put" },
	{ 0x31810e78, "zerocopy_sg_from_iter" },
	{ 0xe686251c, "__dev_queue_xmit" },
	{ 0x6e360414, "skb_copy_datagram_from_iter" },
	{ 0xa6508ccb, "iov_iter_revert" },
	{ 0x7bc48f6d, "skb_copy_bits" },
	{ 0xf63521f2, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x33732eb3, "dev_set_mac_address_user" },
	{ 0x686bd81c, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "798B7968E186D5671C997E0");
MODULE_INFO(rhelversion, "9.6");
