#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x18e46fd2, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x664d469a, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xfd4a6b79, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xac7cad6d, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x8ce30387, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x5b922529, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x290916d1, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xb7e7009e, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x40d933ad, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xc2188cc8, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xffe28749, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xc3fd9837, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x4c4881d3, "_gpl");
SYMBOL_CRC(usbnet_open, 0x43ae9e9b, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xa0d4d80e, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x6d9993cb, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xe5cae8f4, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x951d4ef0, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x6e0bfda4, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x66a1935e, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x52ff0b9a, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x87dce5b8, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xc3056438, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xa309f284, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x431ca406, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xb6bd265e, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x70eac1e0, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xeef44774, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xf92dcdf4, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x6eca8a00, "");
SYMBOL_CRC(usbnet_manage_power, 0x00cf9123, "");
SYMBOL_CRC(usbnet_link_change, 0x50ab5bef, "");
SYMBOL_CRC(usbnet_read_cmd, 0xf14ffc2e, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xb799d1a8, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x03abbeff, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x4ecd440e, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x6a77008a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6395c467, "usb_set_interface" },
	{ 0xf0978aaa, "usb_string" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe57b8e2, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xcae166dc, "skb_queue_purge_reason" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0x5d9b874e, "usb_get_urb" },
	{ 0xd790923d, "usb_unlink_urb" },
	{ 0x3795bee3, "usb_free_urb" },
	{ 0x3654d271, "usb_submit_urb" },
	{ 0xd0697670, "netdev_err" },
	{ 0x36f07fe4, "mii_ethtool_get_link_ksettings" },
	{ 0x737fe404, "mii_ethtool_set_link_ksettings" },
	{ 0xcbae6d16, "mii_nway_restart" },
	{ 0xdab419a1, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x32b6add7, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf1bbce98, "usb_scuttle_anchored_urbs" },
	{ 0xacf6ab90, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa438e0c0, "free_netdev" },
	{ 0xcb324c2c, "netdev_info" },
	{ 0xce8bdb71, "netif_carrier_on" },
	{ 0xa71cc059, "netif_carrier_off" },
	{ 0xdefabf1e, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc5e51699, "usb_autopm_get_interface" },
	{ 0xf036398, "usb_autopm_put_interface" },
	{ 0x1e78abff, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xc837f45a, "mii_link_ok" },
	{ 0x685c7af0, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb84ef1d9, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeb92f9b, "remove_wait_queue" },
	{ 0x98ff99ba, "netif_device_detach" },
	{ 0xba6cb547, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x66388a60, "skb_defer_rx_timestamp" },
	{ 0x4c3ec1e6, "netif_rx" },
	{ 0x75f4a85d, "eth_type_trans" },
	{ 0xafa89805, "skb_queue_tail" },
	{ 0x1d995187, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x76b4e76b, "register_netdev" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x4d88edeb, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2fdd3d7, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf3cc5d39, "skb_clone_tx_timestamp" },
	{ 0x4ff6a8c9, "usb_autopm_get_interface_async" },
	{ 0x8c79a512, "dev_kfree_skb_any_reason" },
	{ 0xfa66788c, "skb_tstamp_tx" },
	{ 0x8b42627e, "usb_anchor_urb" },
	{ 0xdfca7fae, "__netdev_alloc_skb" },
	{ 0x5abd116, "consume_skb" },
	{ 0x372871ad, "netif_tx_wake_queue" },
	{ 0xcb676cb, "__wake_up" },
	{ 0x581033c2, "usb_autopm_get_interface_no_resume" },
	{ 0xe4936e7d, "usb_get_from_anchor" },
	{ 0xaf2eb1b6, "skb_put" },
	{ 0x9f6c6c4e, "usb_clear_halt" },
	{ 0xc76da801, "eth_mac_addr" },
	{ 0x60245b8d, "eth_validate_addr" },
	{ 0x5831bfd, "dev_get_tstats64" },
	{ 0x36d7b274, "ethtool_op_get_ts_info" },
	{ 0x6cb8a462, "param_ops_int" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
