#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xf6bec06b, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xc00dc935, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xe0ce01dc, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xa4f3e910, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x4f05439d, "__skb_checksum_complete" },
	{ 0x80f52aa3, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x7bc48f6d, "skb_copy_bits" },
	{ 0x3ffdd57f, "__nlmsg_put" },
	{ 0xd0336929, "netdev_adjacent_change_commit" },
	{ 0xc76da801, "eth_mac_addr" },
	{ 0xaf2eb1b6, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd5bd746a, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x48fec92, "ip6_dst_hoplimit" },
	{ 0xe5da7170, "param_ops_ushort" },
	{ 0x5abd116, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x461c9500, "udp_sock_create4" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x7a03f7cd, "udp_tunnel6_xmit_skb" },
	{ 0x7880968a, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xa5426ca3, "__unregister_nexthop_notifier" },
	{ 0xe6ca0f92, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x60245b8d, "eth_validate_addr" },
	{ 0xd0623a7b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd54a7c7a, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfe515631, "rtnl_create_link" },
	{ 0x720c12a0, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8febaf34, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x193fb118, "ether_setup" },
	{ 0x75f55bb8, "udp_tunnel_drop_rx_port" },
	{ 0x67eab195, "netdev_upper_dev_link" },
	{ 0x66e496b7, "pskb_expand_head" },
	{ 0xf04638de, "register_pernet_subsys" },
	{ 0xd0e070b5, "netdev_core_stats_alloc" },
	{ 0x75f4a85d, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x89e03224, "__alloc_skb" },
	{ 0x3942b8b6, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf1515cd, "eth_gro_complete" },
	{ 0x4f8672d5, "rtnl_set_sk_err" },
	{ 0xa2baa657, "eth_gro_receive" },
	{ 0x7744b890, "rtnl_configure_link" },
	{ 0xc5f760f3, "skb_tunnel_check_pmtu" },
	{ 0x90c1c5f5, "udp_tunnel_dst_lookup" },
	{ 0x1dddf596, "rtnl_unicast" },
	{ 0x89d7e63, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x987fca23, "__skb_get_hash_net" },
	{ 0xdbc0e103, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2e632799, "__dev_get_by_index" },
	{ 0x28d86a3a, "rtnl_link_unregister" },
	{ 0x9eb8353f, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc3cd7df8, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x3e069ec8, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x37d6cf1, "dev_get_by_index_rcu" },
	{ 0xfedd24b8, "gro_cells_receive" },
	{ 0x773e907b, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x845f5642, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa438e0c0, "free_netdev" },
	{ 0x3a8c3acb, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x48bfbbc1, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xba6d7dba, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x685c7af0, "ethtool_op_get_link" },
	{ 0x5e4c9612, "nexthop_find_by_id" },
	{ 0x25ac0ee, "arp_create" },
	{ 0x77fa51f0, "__ethtool_get_link_ksettings" },
	{ 0x7b7f0143, "netdev_adjacent_change_prepare" },
	{ 0x8722a08c, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x8916a2ff, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xb57b83fa, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d2ccb58, "rht_bucket_nested_insert" },
	{ 0x257bb806, "netdev_adjacent_change_abort" },
	{ 0xf98dcfb6, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe5614333, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfeb72f17, "__iptunnel_pull_header" },
	{ 0x357d7e60, "__pskb_pull_tail" },
	{ 0x5831bfd, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4c3ec1e6, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xade4e284, "rhashtable_destroy" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xaeaee808, "setup_udp_tunnel_sock" },
	{ 0x69f8deb3, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x42654ea8, "skb_trim" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe57b8e2, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaa7146de, "skb_scrub_packet" },
	{ 0xe031811, "nexthop_select_path" },
	{ 0xe0fe4026, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x20b1e25c, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9b3e0285, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc96f6d79, "param_ops_bool" },
	{ 0xd0ddb620, "udp_tun_rx_dst" },
	{ 0x6e0de386, "rtnl_notify" },
	{ 0x518e6fa9, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x48de077a, "__netif_rx" },
	{ 0x5e634f52, "skb_clone" },
	{ 0x1574833a, "metadata_dst_alloc" },
	{ 0x1d2e326, "dst_release" },
	{ 0xe6ecf8a7, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x63ac11dd, "udp_tunnel_notify_del_rx_port" },
	{ 0xf2724506, "register_nexthop_notifier" },
	{ 0xe425710c, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x41250354, "gro_find_receive_by_type" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xcb324c2c, "netdev_info" },
	{ 0xa51f2efc, "neigh_lookup" },
	{ 0xc070cbc2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x415eddf5, "register_netdevice" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BB37D63BC97FB7A0303C0CC");
MODULE_INFO(rhelversion, "9.6");
