#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xcab73989, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x12148c07, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x006145ef, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xf2f53653, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x2e1244e3, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x579e1e1d, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x6b1aac56, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xa969b576, "");
SYMBOL_CRC(nvdimm_region_notify, 0xa671e840, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x00f42fe2, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x9a2428a0, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xb19ea01b, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x1c2e8a77, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xb504f95b, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xe1e871f7, "");
SYMBOL_CRC(nd_device_unregister, 0x77447e35, "");
SYMBOL_CRC(__nd_driver_register, 0xb7f810a2, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xfc0b3690, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xd16d6e5f, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x153d41f2, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x1982d108, "_gpl");
SYMBOL_CRC(to_ndd, 0x13e96e85, "");
SYMBOL_CRC(nvdimm_name, 0x373f8a2f, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xb8d33f6f, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x16c19540, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x2e11a9bd, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x996a7710, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x6d2669a1, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xb3c14206, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xfc762ed3, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xd843b154, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x7510c1b0, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x6af7b169, "_gpl");
SYMBOL_CRC(to_nd_region, 0x361a4ef8, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x76164170, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xeccc64fc, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xf3e81cb0, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xc3408833, "");
SYMBOL_CRC(nd_region_release_lane, 0x25fbc9cf, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x4ae09dba, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x240f801f, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x72e45eaf, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x22cd4f4c, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xc3f15053, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x3dd799d2, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xae0ad080, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x1eaa1706, "");
SYMBOL_CRC(pmem_sector_size, 0xf171e669, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x0bc86625, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x35c384a9, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xc19ad3fe, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x7d64a20a, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xa276d8ef, "");
SYMBOL_CRC(devm_namespace_enable, 0x0fac59d7, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xd64ed50b, "_gpl");
SYMBOL_CRC(badrange_init, 0xe4c7687b, "_gpl");
SYMBOL_CRC(badrange_add, 0x5a747d13, "_gpl");
SYMBOL_CRC(badrange_forget, 0x7a699d81, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x70b4d5b5, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x1ab7ff94, "");
SYMBOL_CRC(is_nd_btt, 0xc4be5dbe, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xa232e9db, "");
SYMBOL_CRC(nd_btt_version, 0x6544e0bc, "");
SYMBOL_CRC(nd_btt_probe, 0xcbcb1a9d, "");
SYMBOL_CRC(to_nd_pfn, 0x4a3d423e, "");
SYMBOL_CRC(is_nd_pfn, 0x237dec4e, "");
SYMBOL_CRC(nd_pfn_validate, 0xd7031c5c, "");
SYMBOL_CRC(nd_pfn_probe, 0xc39f4bdd, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x4e8f9410, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x93b43116, "");
SYMBOL_CRC(is_nd_dax, 0x1fcc7dc8, "");
SYMBOL_CRC(nd_dax_probe, 0x4b901822, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x89fe6637, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x28132ba1, "ida_alloc_range" },
	{ 0xd4b11d0b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf2a66d63, "ida_destroy" },
	{ 0x70229104, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0xd16c6d28, "devm_memremap" },
	{ 0x1a2915c8, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe39eb32e, "badblocks_set" },
	{ 0x445334d7, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0x4d95d6d1, "memcpy_flushcache" },
	{ 0x5270d6e0, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xf868d9ec, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x25d0b0b, "badblocks_exit" },
	{ 0x5f544a42, "device_for_each_child" },
	{ 0xd717f8a5, "prepare_to_wait_event" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xcb676cb, "__wake_up" },
	{ 0xd93baea4, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xb5f2b96a, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x693c43b4, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x1fb1bd70, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xdfb2c251, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x48a5cf30, "put_device" },
	{ 0x3cfeb38a, "badblocks_show" },
	{ 0xa910c9a7, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x1f66f984, "_dev_info" },
	{ 0x7d992d24, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x890aa246, "perf_pmu_migrate_context" },
	{ 0xfb39cd59, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x37d58f59, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8c8aa9a8, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x353317f2, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7a9017b6, "__cpuhp_setup_state" },
	{ 0xd88af061, "devm_memunmap" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0xe4c29a3a, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xb21ea8cf, "noop_llseek" },
	{ 0xf7807e85, "class_create" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x654588b, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x25f51d80, "ida_free" },
	{ 0xd733ee6a, "driver_unregister" },
	{ 0xa450d0e1, "__cpuhp_state_add_instance" },
	{ 0x64a3626e, "perf_pmu_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x68cc09a8, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xb49448d1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x142e762b, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc96f6d79, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xb3491212, "__devm_release_region" },
	{ 0x26e9985, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xc89b5ef1, "kernfs_put" },
	{ 0x5cfa28ba, "__register_chrdev" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5cd76feb, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3d1b0b9, "badblocks_check" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0xcef11ba5, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xcf3daec7, "badblocks_clear" },
	{ 0x64e497ab, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x79f1396c, "up_read" },
	{ 0x166fc9fb, "driver_register" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xc6715e9d, "__cpuhp_remove_state" },
	{ 0x58e49a6c, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x97f09918, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAA6CCC1747B5FD58AB299");
MODULE_INFO(rhelversion, "9.6");
