#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xf10a12e2, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x7e712d17, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xa5e9ff71, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x51d653ff, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xd3d28ac8, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xa180b9af, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xeff5ed7c, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x233f0b4a, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xd0979c61, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xfe3b867b, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x341bb9fc, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xe111fb6c, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xd6280a25, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x23f381bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4b11d0b, "try_module_get" },
	{ 0x7e7a5752, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x48a5cf30, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1f66f984, "_dev_info" },
	{ 0x7d992d24, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x37d58f59, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xedaf9b1a, "down_write" },
	{ 0x353317f2, "_dev_err" },
	{ 0x58b2315a, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x2aeed684, "device_create" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcadac48, "seq_putc" },
	{ 0x3a990ab2, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf6ae8ed4, "__nvme_submit_sync_cmd" },
	{ 0x2fdcdba4, "nvme_try_sched_reset" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0xe72a4f02, "misc_register" },
	{ 0x4ad9e8d8, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xb49448d1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa726c750, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x5cd76feb, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x99594c72, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xccad4000, "seq_puts" },
	{ 0xc9ab0114, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x42b98c88, "nvme_wait_reset" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf0c41377, "single_open" },
	{ 0x79f1396c, "up_read" },
	{ 0x3990fbc1, "class_register" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xee066c1, "nvme_auth_negotiate" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0477BCE7376D93EBFFDF668");
MODULE_INFO(rhelversion, "9.6");
