#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x77ce5078, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x3282a4b6, "_gpl");
SYMBOL_CRC(sas_free_task, 0x490f4e7d, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xb61359af, "");
SYMBOL_CRC(sas_resume_ha, 0xefd25601, "");
SYMBOL_CRC(sas_suspend_ha, 0x9db373c2, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xc54d9279, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x5d6d6d2e, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x425a0aef, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x94b06b4b, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x77893613, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x71fed45d, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x7d2b21d0, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x1253c15b, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x5a65aff4, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x7c4898e1, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xc11b21d0, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xefebf6ff, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x04d3103a, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x03aa1d63, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x5e0ef0bf, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x2b581c54, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x2440c440, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xaed7cc40, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x8381bedf, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xfdf21983, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xb385fb30, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x632cad18, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xaab17f12, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x3b18ae25, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf05ec76e, "ata_qc_complete" },
	{ 0x597ffec3, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x87d78f7a, "sas_rphy_remove" },
	{ 0x139d8445, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf335a91a, "ata_sas_port_destroy" },
	{ 0x441878ee, "bsg_job_done" },
	{ 0x8de5b63e, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x697f06a8, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x43ba6b9f, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x70ce13e6, "finish_wait" },
	{ 0x7f026195, "scsi_schedule_eh" },
	{ 0x89fc1e50, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x19fbeb9, "ata_host_init" },
	{ 0x5515cd5b, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xeefea3dd, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb3dc3eb6, "sas_port_get_phy" },
	{ 0x10270796, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xd717f8a5, "prepare_to_wait_event" },
	{ 0xcb676cb, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x594d9fa0, "kmem_cache_create" },
	{ 0xd93baea4, "get_device" },
	{ 0xbbc8a785, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xedfee893, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x48a5cf30, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d32be18, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xdf2f52f7, "kmem_cache_alloc" },
	{ 0x1f66f984, "_dev_info" },
	{ 0xae41e159, "sas_phy_free" },
	{ 0x2091bb5b, "scsi_eh_finish_cmd" },
	{ 0xa0d2d6a8, "ata_sas_port_alloc" },
	{ 0x8c742435, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x91905f19, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xda3c201b, "sas_port_mark_backlink" },
	{ 0x11f89b39, "kmem_cache_free" },
	{ 0xe7a3141f, "ata_std_qc_defer" },
	{ 0x8b96ab2a, "ata_sas_port_start" },
	{ 0x54637eaf, "ata_scsi_port_error_handler" },
	{ 0x1772caaa, "ata_change_queue_depth" },
	{ 0xbfdb1044, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4b0fa6d4, "sas_end_device_alloc" },
	{ 0x52f19a76, "mutex_lock_interruptible" },
	{ 0xc0984f64, "sas_read_port_mode_page" },
	{ 0x44578444, "sas_expander_alloc" },
	{ 0x163904d7, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0xd866286c, "sas_rphy_delete" },
	{ 0xd5006881, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa98db7bc, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc5b01ea6, "__init_waitqueue_head" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0x60acb45f, "scsi_host_busy" },
	{ 0x832f4b48, "ata_sas_async_probe" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x14bf5269, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x472a61b, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5d161d0f, "ata_sas_port_suspend" },
	{ 0xe16907a, "sas_rphy_add" },
	{ 0xe22b2b40, "sas_port_delete_phy" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8b3f32af, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc36674af, "sas_port_add_phy" },
	{ 0xf0fee9ef, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x658793ea, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7bcca1f, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd6ead23e, "ata_host_put" },
	{ 0x1c69ed36, "sas_port_free" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x20470a79, "ata_std_sched_eh" },
	{ 0x73a615a, "scsi_block_requests" },
	{ 0xbc63c8d3, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x69472f6f, "sas_remove_children" },
	{ 0x9218fa35, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x80eb72e8, "ata_port_wait_eh" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x40c70f0a, "kmem_cache_destroy" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.6");
