#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x3a642866, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x1d02173f, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xbacaa528, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4333bf6, "device_property_present" },
	{ 0x408e8e4b, "usb_hcd_platform_shutdown" },
	{ 0xfd1a7502, "is_acpi_device_node" },
	{ 0x9ff2a2d7, "of_fwnode_ops" },
	{ 0x5f3159c2, "device_set_wakeup_capable" },
	{ 0xf9c2f760, "xhci_suspend" },
	{ 0x42533356, "devm_platform_get_and_ioremap_resource" },
	{ 0x518083f5, "platform_driver_unregister" },
	{ 0x18d9ec8, "platform_get_irq" },
	{ 0x341dbe91, "xhci_gen_setup" },
	{ 0xfcb4760a, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xe057517b, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x9a700e1f, "devm_reset_control_array_get" },
	{ 0x7aa0e102, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d88edeb, "pm_runtime_enable" },
	{ 0xf5328cea, "device_property_read_u32_array" },
	{ 0x7ea3988d, "of_match_device" },
	{ 0x353317f2, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xfeae235d, "xhci_resume" },
	{ 0xf8e490e4, "xhci_run" },
	{ 0x74848af9, "usb_hcd_is_primary_hcd" },
	{ 0x5e48dd32, "xhci_init_driver" },
	{ 0xef538748, "usb_put_hcd" },
	{ 0x3d87645c, "__platform_driver_register" },
	{ 0x675b1de0, "dma_set_coherent_mask" },
	{ 0xabc06208, "devm_clk_get_optional" },
	{ 0x2345f10a, "pm_runtime_forbid" },
	{ 0x42e6ceb9, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x56ba5de6, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfd3a02de, "dma_set_mask" },
	{ 0xe268071a, "usb_remove_hcd" },
	{ 0x7d077ff0, "of_device_get_match_data" },
	{ 0x8b68b075, "__pm_runtime_disable" },
	{ 0x511a1e4c, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x45126ca, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "866418C115CFC70FB6F183B");
MODULE_INFO(rhelversion, "9.6");
