#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xe98f17d3, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xd73657f3, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0xabcfa8a4, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xa2d45d0a, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x36097873, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xaf8b662c, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xfe6fdd7c, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x767e428a, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x2b1733a7, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xd1ec552a, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x233b0ea4, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x6cdd8f13, "");
SYMBOL_CRC(vfio_unpin_pages, 0xcde007ed, "");
SYMBOL_CRC(vfio_dma_rw, 0x5a53b12f, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xfd96548d, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x5ab5368d, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x41ce812c, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x0010a37c, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0xf99277ff, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x7d6ff571, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xc82d6c1c, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0xeea69489, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0xa3a0eb49, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x38a082b0, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x64577ca1, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x50ed980c, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x4949c915, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x1ec051b7, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xe6fcb4fe, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xc8ddb3f2, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x3a8460c1, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x03047236, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x574c90e4, "iommufd_vfio_compat_ioas_get_id" },
	{ 0xfb31bdde, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x28132ba1, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xd4b11d0b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa31cc15e, "anon_inode_getfile" },
	{ 0x284cc050, "__init_rwsem" },
	{ 0x3672efd7, "alloc_anon_inode" },
	{ 0x7e7a5752, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf55c49f, "iommufd_access_detach" },
	{ 0xf2a66d63, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1a2915c8, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x7d895179, "cdev_device_del" },
	{ 0x505be64b, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0x5270d6e0, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xef8dd0a6, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xf868d9ec, "device_initialize" },
	{ 0xe13f82b, "iommufd_device_attach" },
	{ 0xb2f387de, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xab32e629, "iommufd_access_pin_pages" },
	{ 0x35b9b40, "iput" },
	{ 0xb84ef1d9, "add_wait_queue" },
	{ 0xcc3b72b2, "iommufd_ctx_from_fd" },
	{ 0x6d5c0211, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x1d6643b0, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xea45a16c, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0xaf6a85c5, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x48a5cf30, "put_device" },
	{ 0x16a3fc25, "iommufd_ctx_from_file" },
	{ 0x1f66f984, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7d992d24, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xc3b7d97e, "fput" },
	{ 0xedaf9b1a, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x58b2315a, "up_write" },
	{ 0xe4c29a3a, "device_add" },
	{ 0x715b1ea4, "xa_load" },
	{ 0x33b292cc, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xf7807e85, "class_create" },
	{ 0x17fcefe7, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x25f51d80, "ida_free" },
	{ 0xb0e5e88e, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd14fed22, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x1d35cf41, "iommufd_access_destroy" },
	{ 0xe72a4f02, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb49448d1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x4ddd859d, "__xa_cmpxchg" },
	{ 0xa88bc101, "iommufd_device_to_id" },
	{ 0x3edc0dcf, "init_pseudo" },
	{ 0xcb39734d, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x42e6ceb9, "__pm_runtime_resume" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xc96f6d79, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa0299f8c, "xa_destroy" },
	{ 0xc3637c9, "iommufd_ctx_put" },
	{ 0xb15b3a25, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x29ee5f89, "iommufd_device_detach" },
	{ 0xaa6545f6, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe6c21c60, "simple_release_fs" },
	{ 0x5b3e44e4, "kill_anon_super" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x25397c5, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x81aa3786, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xa280d204, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x79f1396c, "up_read" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xc7ada402, "__pm_runtime_idle" },
	{ 0x5e47eb19, "cdev_init" },
	{ 0xaa16e5cc, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68afe9bd, "eventfd_ctx_fileget" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x83005138, "iommu_group_remove_device" },
	{ 0x20de9919, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.6");
