#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x3de9058f, "");
SYMBOL_CRC(w1_remove_master_device, 0xb8ec1174, "");
SYMBOL_CRC(w1_register_family, 0x1c689da4, "");
SYMBOL_CRC(w1_unregister_family, 0xf10c3eb0, "");
SYMBOL_CRC(w1_touch_bit, 0x9a759e4b, "_gpl");
SYMBOL_CRC(w1_write_8, 0xa596c950, "_gpl");
SYMBOL_CRC(w1_triplet, 0x3d47e973, "_gpl");
SYMBOL_CRC(w1_read_8, 0x64e6e861, "_gpl");
SYMBOL_CRC(w1_write_block, 0x7789768b, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xd02de5dc, "_gpl");
SYMBOL_CRC(w1_read_block, 0x8b8337e8, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x0137c5d0, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x2b9d6baa, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x8168076b, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x89d07c95, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x1a2915c8, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x445334d7, "device_unregister" },
	{ 0x122e933d, "rt_mutex_base_init" },
	{ 0xc191db8b, "sysfs_remove_groups" },
	{ 0x450556a3, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xca4fee4c, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xdd9e524e, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48a5cf30, "put_device" },
	{ 0x1f66f984, "_dev_info" },
	{ 0x71a4f11, "flush_signals" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8c8aa9a8, "bus_unregister" },
	{ 0x353317f2, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe94702a5, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xd733ee6a, "driver_unregister" },
	{ 0xaf0811fa, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb4bb434e, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xbc18c169, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcf37566, "_dev_warn" },
	{ 0x2cd63bdc, "rt_spin_unlock" },
	{ 0xddf33474, "rt_spin_lock" },
	{ 0x73008c72, "kthread_create_on_node" },
	{ 0xce8f9e98, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0x790f2414, "kobject_uevent" },
	{ 0xb9225974, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x6cb8a462, "param_ops_int" },
	{ 0x59e90332, "of_find_matching_node_and_match" },
	{ 0x166fc9fb, "driver_register" },
	{ 0xa9290e82, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x97f09918, "bus_register" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7761A4473B5836B7F5AB3A");
MODULE_INFO(rhelversion, "9.6");
