#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xbf4c7b89, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xe500cfea, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x6d9b58ad, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xdfdfc902, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x04e92a06, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xfb23a3d4, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xfb0e70cf, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x9b7e47a7, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x91395eea, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x91f1aa28, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x33a0e72f, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x70400e0f, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x49db043b, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x157f18c5, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x607651b0, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x7a6200c7, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x56e1c370, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2122de8, "flow_rule_alloc" },
	{ 0x284cc050, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x76c27b40, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe2ba9aad, "neigh_xmit" },
	{ 0x9df1cd28, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0623a7b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5ffb0419, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc95c52c5, "proc_create_net_data" },
	{ 0x66e496b7, "pskb_expand_head" },
	{ 0xf04638de, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xedaf9b1a, "down_write" },
	{ 0x58b2315a, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc3cd7df8, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b05cb15, "dev_get_by_index" },
	{ 0x37d6cf1, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5dc9978c, "mutex_lock" },
	{ 0xd9fe81e8, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf962c4b5, "flow_indr_dev_setup_offload" },
	{ 0x50289bcb, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x8916a2ff, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5d2ccb58, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x357d7e60, "__pskb_pull_tail" },
	{ 0xade4e284, "rhashtable_destroy" },
	{ 0xb49448d1, "down_read" },
	{ 0x3647361c, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0fe4026, "rhashtable_insert_slow" },
	{ 0x85d73dc5, "rt_read_lock" },
	{ 0xe686251c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9b3e0285, "neigh_destroy" },
	{ 0xa1157e10, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x78d47d4d, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xda97b3e5, "rt_read_unlock" },
	{ 0xb5bd150, "remove_proc_entry" },
	{ 0xc00e3f11, "nf_ct_acct_add" },
	{ 0x99594c72, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1d2e326, "dst_release" },
	{ 0xbecd58e3, "nf_ct_l4proto_find" },
	{ 0xccad4000, "seq_puts" },
	{ 0xf6552f09, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x81c21022, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x79f1396c, "up_read" },
	{ 0x781f4b75, "rhashtable_walk_exit" },
	{ 0xc98b0d1, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.6");
