#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x1c4e825a, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x1d5bd5c2, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xbc4a3f55, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x04468cd0, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x74a32d14, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x7a167d83, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xc56d10d8, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x0dffc518, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x57f98163, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xf57a050d, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xfbcf559a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0xf04638de, "register_pernet_subsys" },
	{ 0x99594c72, "seq_printf" },
	{ 0xccad4000, "seq_puts" },
	{ 0x8916a2ff, "unregister_pernet_subsys" },
	{ 0x8c29de2e, "nf_register_net_hooks" },
	{ 0x106a80cf, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xf4298c8c, "nf_ipv6_ops" },
	{ 0xf87277ff, "sk_skb_reason_drop" },
	{ 0x47b7bdcf, "xfrm_lookup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf117549f, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa22f9d8a, "skb_ensure_writable" },
	{ 0x78d47d4d, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xca6a290, "ip_route_me_harder" },
	{ 0x7e89bc44, "ip_local_out" },
	{ 0x89e03224, "__alloc_skb" },
	{ 0xaf2eb1b6, "skb_put" },
	{ 0x7bc48f6d, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xfa0d0601, "nf_ct_tmpl_alloc" },
	{ 0x38d86eb6, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xc95c52c5, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x11e3a356, "nf_ct_tmpl_free" },
	{ 0xb5bd150, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7b93d1e3, "ipv6_skip_exthdr" },
	{ 0x1ce841bc, "nf_ct_seqadj_init" },
	{ 0x5abd116, "consume_skb" },
	{ 0x77ea95b8, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.6");
